- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB API

XCB Protocol Implementation. More...

## Data Structures
struct | xcb_char2b_t
| xcb_char2b_t More...
struct | xcb_char2b_iterator_t
| xcb_char2b_iterator_t More...
struct | xcb_window_iterator_t
| xcb_window_iterator_t More...
struct | xcb_pixmap_iterator_t
| xcb_pixmap_iterator_t More...
struct | xcb_cursor_iterator_t
| xcb_cursor_iterator_t More...
struct | xcb_font_iterator_t
| xcb_font_iterator_t More...
struct | xcb_gcontext_iterator_t
| xcb_gcontext_iterator_t More...
struct | xcb_colormap_iterator_t
| xcb_colormap_iterator_t More...
struct | xcb_atom_iterator_t
| xcb_atom_iterator_t More...
struct | xcb_drawable_iterator_t
| xcb_drawable_iterator_t More...
struct | xcb_fontable_iterator_t
| xcb_fontable_iterator_t More...
struct | xcb_visualid_iterator_t
| xcb_visualid_iterator_t More...
struct | xcb_timestamp_iterator_t
| xcb_timestamp_iterator_t More...
struct | xcb_keysym_iterator_t
| xcb_keysym_iterator_t More...
struct | xcb_keycode_iterator_t
| xcb_keycode_iterator_t More...
struct | xcb_button_iterator_t
| xcb_button_iterator_t More...
struct | xcb_point_t
| xcb_point_t More...
struct | xcb_point_iterator_t
| xcb_point_iterator_t More...
struct | xcb_rectangle_t
| xcb_rectangle_t More...
struct | xcb_rectangle_iterator_t
| xcb_rectangle_iterator_t More...
struct | xcb_arc_t
| xcb_arc_t More...
struct | xcb_arc_iterator_t
| xcb_arc_iterator_t More...
struct | xcb_format_t
| xcb_format_t More...
struct | xcb_format_iterator_t
| xcb_format_iterator_t More...
struct | xcb_visualtype_t
| xcb_visualtype_t More...
struct | xcb_visualtype_iterator_t
| xcb_visualtype_iterator_t More...
struct | xcb_depth_t
| xcb_depth_t More...
struct | xcb_depth_iterator_t
| xcb_depth_iterator_t More...
struct | xcb_screen_t
| xcb_screen_t More...
struct | xcb_screen_iterator_t
| xcb_screen_iterator_t More...
struct | xcb_setup_request_t
| xcb_setup_request_t More...
struct | xcb_setup_request_iterator_t
| xcb_setup_request_iterator_t More...
struct | xcb_setup_failed_t
| xcb_setup_failed_t More...
struct | xcb_setup_failed_iterator_t
| xcb_setup_failed_iterator_t More...
struct | xcb_setup_authenticate_t
| xcb_setup_authenticate_t More...
struct | xcb_setup_authenticate_iterator_t
| xcb_setup_authenticate_iterator_t More...
struct | xcb_setup_t
| xcb_setup_t More...
struct | xcb_setup_iterator_t
| xcb_setup_iterator_t More...
struct | xcb_key_press_event_t
| xcb_key_press_event_t More...
struct | xcb_button_press_event_t
| xcb_button_press_event_t More...
struct | xcb_motion_notify_event_t
| xcb_motion_notify_event_t More...
struct | xcb_enter_notify_event_t
| xcb_enter_notify_event_t More...
struct | xcb_focus_in_event_t
| xcb_focus_in_event_t More...
struct | xcb_keymap_notify_event_t
| xcb_keymap_notify_event_t More...
struct | xcb_expose_event_t
| xcb_expose_event_t More...
struct | xcb_graphics_exposure_event_t
| xcb_graphics_exposure_event_t More...
struct | xcb_no_exposure_event_t
| xcb_no_exposure_event_t More...
struct | xcb_visibility_notify_event_t
| xcb_visibility_notify_event_t More...
struct | xcb_create_notify_event_t
| xcb_create_notify_event_t More...
struct | xcb_destroy_notify_event_t
| xcb_destroy_notify_event_t More...
struct | xcb_unmap_notify_event_t
| xcb_unmap_notify_event_t More...
struct | xcb_map_notify_event_t
| xcb_map_notify_event_t More...
struct | xcb_map_request_event_t
| xcb_map_request_event_t More...
struct | xcb_reparent_notify_event_t
| xcb_reparent_notify_event_t More...
struct | xcb_configure_notify_event_t
| xcb_configure_notify_event_t More...
struct | xcb_configure_request_event_t
| xcb_configure_request_event_t More...
struct | xcb_gravity_notify_event_t
| xcb_gravity_notify_event_t More...
struct | xcb_resize_request_event_t
| xcb_resize_request_event_t More...
struct | xcb_circulate_notify_event_t
| xcb_circulate_notify_event_t More...
struct | xcb_property_notify_event_t
| xcb_property_notify_event_t More...
struct | xcb_selection_clear_event_t
| xcb_selection_clear_event_t More...
struct | xcb_selection_request_event_t
| xcb_selection_request_event_t More...
struct | xcb_selection_notify_event_t
| xcb_selection_notify_event_t More...
struct | xcb_colormap_notify_event_t
| xcb_colormap_notify_event_t More...
union | xcb_client_message_data_t
| xcb_client_message_data_t More...
struct | xcb_client_message_data_iterator_t
| xcb_client_message_data_iterator_t More...
struct | xcb_client_message_event_t
| xcb_client_message_event_t More...
struct | xcb_mapping_notify_event_t
| xcb_mapping_notify_event_t More...
struct | xcb_request_error_t
| xcb_request_error_t More...
struct | xcb_value_error_t
| xcb_value_error_t More...
struct | xcb_create_window_request_t
| xcb_create_window_request_t More...
struct | xcb_change_window_attributes_request_t
| xcb_change_window_attributes_request_t More...
struct | xcb_get_window_attributes_cookie_t
| xcb_get_window_attributes_cookie_t More...
struct | xcb_get_window_attributes_request_t
| xcb_get_window_attributes_request_t More...
struct | xcb_get_window_attributes_reply_t
| xcb_get_window_attributes_reply_t More...
struct | xcb_destroy_window_request_t
| xcb_destroy_window_request_t More...
struct | xcb_destroy_subwindows_request_t
| xcb_destroy_subwindows_request_t More...
struct | xcb_change_save_set_request_t
| xcb_change_save_set_request_t More...
struct | xcb_reparent_window_request_t
| xcb_reparent_window_request_t More...
struct | xcb_map_window_request_t
| xcb_map_window_request_t More...
struct | xcb_map_subwindows_request_t
| xcb_map_subwindows_request_t More...
struct | xcb_unmap_window_request_t
| xcb_unmap_window_request_t More...
struct | xcb_unmap_subwindows_request_t
| xcb_unmap_subwindows_request_t More...
struct | xcb_configure_window_request_t
| xcb_configure_window_request_t More...
struct | xcb_circulate_window_request_t
| xcb_circulate_window_request_t More...
struct | xcb_get_geometry_cookie_t
| xcb_get_geometry_cookie_t More...
struct | xcb_get_geometry_request_t
| xcb_get_geometry_request_t More...
struct | xcb_get_geometry_reply_t
| xcb_get_geometry_reply_t More...
struct | xcb_query_tree_cookie_t
| xcb_query_tree_cookie_t More...
struct | xcb_query_tree_request_t
| xcb_query_tree_request_t More...
struct | xcb_query_tree_reply_t
| xcb_query_tree_reply_t More...
struct | xcb_intern_atom_cookie_t
| xcb_intern_atom_cookie_t More...
struct | xcb_intern_atom_request_t
| xcb_intern_atom_request_t More...
struct | xcb_intern_atom_reply_t
| xcb_intern_atom_reply_t More...
struct | xcb_get_atom_name_cookie_t
| xcb_get_atom_name_cookie_t More...
struct | xcb_get_atom_name_request_t
| xcb_get_atom_name_request_t More...
struct | xcb_get_atom_name_reply_t
| xcb_get_atom_name_reply_t More...
struct | xcb_change_property_request_t
| xcb_change_property_request_t More...
struct | xcb_delete_property_request_t
| xcb_delete_property_request_t More...
struct | xcb_get_property_cookie_t
| xcb_get_property_cookie_t More...
struct | xcb_get_property_request_t
| xcb_get_property_request_t More...
struct | xcb_get_property_reply_t
| xcb_get_property_reply_t More...
struct | xcb_list_properties_cookie_t
| xcb_list_properties_cookie_t More...
struct | xcb_list_properties_request_t
| xcb_list_properties_request_t More...
struct | xcb_list_properties_reply_t
| xcb_list_properties_reply_t More...
struct | xcb_set_selection_owner_request_t
| xcb_set_selection_owner_request_t More...
struct | xcb_get_selection_owner_cookie_t
| xcb_get_selection_owner_cookie_t More...
struct | xcb_get_selection_owner_request_t
| xcb_get_selection_owner_request_t More...
struct | xcb_get_selection_owner_reply_t
| xcb_get_selection_owner_reply_t More...
struct | xcb_convert_selection_request_t
| xcb_convert_selection_request_t More...
struct | xcb_send_event_request_t
| xcb_send_event_request_t More...
struct | xcb_grab_pointer_cookie_t
| xcb_grab_pointer_cookie_t More...
struct | xcb_grab_pointer_request_t
| xcb_grab_pointer_request_t More...
struct | xcb_grab_pointer_reply_t
| xcb_grab_pointer_reply_t More...
struct | xcb_ungrab_pointer_request_t
| xcb_ungrab_pointer_request_t More...
struct | xcb_grab_button_request_t
| xcb_grab_button_request_t More...
struct | xcb_ungrab_button_request_t
| xcb_ungrab_button_request_t More...
struct | xcb_change_active_pointer_grab_request_t
| xcb_change_active_pointer_grab_request_t More...
struct | xcb_grab_keyboard_cookie_t
| xcb_grab_keyboard_cookie_t More...
struct | xcb_grab_keyboard_request_t
| xcb_grab_keyboard_request_t More...
struct | xcb_grab_keyboard_reply_t
| xcb_grab_keyboard_reply_t More...
struct | xcb_ungrab_keyboard_request_t
| xcb_ungrab_keyboard_request_t More...
struct | xcb_grab_key_request_t
| xcb_grab_key_request_t More...
struct | xcb_ungrab_key_request_t
| xcb_ungrab_key_request_t More...
struct | xcb_allow_events_request_t
| xcb_allow_events_request_t More...
struct | xcb_grab_server_request_t
| xcb_grab_server_request_t More...
struct | xcb_ungrab_server_request_t
| xcb_ungrab_server_request_t More...
struct | xcb_query_pointer_cookie_t
| xcb_query_pointer_cookie_t More...
struct | xcb_query_pointer_request_t
| xcb_query_pointer_request_t More...
struct | xcb_query_pointer_reply_t
| xcb_query_pointer_reply_t More...
struct | xcb_timecoord_t
| xcb_timecoord_t More...
struct | xcb_timecoord_iterator_t
| xcb_timecoord_iterator_t More...
struct | xcb_get_motion_events_cookie_t
| xcb_get_motion_events_cookie_t More...
struct | xcb_get_motion_events_request_t
| xcb_get_motion_events_request_t More...
struct | xcb_get_motion_events_reply_t
| xcb_get_motion_events_reply_t More...
struct | xcb_translate_coordinates_cookie_t
| xcb_translate_coordinates_cookie_t More...
struct | xcb_translate_coordinates_request_t
| xcb_translate_coordinates_request_t More...
struct | xcb_translate_coordinates_reply_t
| xcb_translate_coordinates_reply_t More...
struct | xcb_warp_pointer_request_t
| xcb_warp_pointer_request_t More...
struct | xcb_set_input_focus_request_t
| xcb_set_input_focus_request_t More...
struct | xcb_get_input_focus_cookie_t
| xcb_get_input_focus_cookie_t More...
struct | xcb_get_input_focus_request_t
| xcb_get_input_focus_request_t More...
struct | xcb_get_input_focus_reply_t
| xcb_get_input_focus_reply_t More...
struct | xcb_query_keymap_cookie_t
| xcb_query_keymap_cookie_t More...
struct | xcb_query_keymap_request_t
| xcb_query_keymap_request_t More...
struct | xcb_query_keymap_reply_t
| xcb_query_keymap_reply_t More...
struct | xcb_open_font_request_t
| xcb_open_font_request_t More...
struct | xcb_close_font_request_t
| xcb_close_font_request_t More...
struct | xcb_fontprop_t
| xcb_fontprop_t More...
struct | xcb_fontprop_iterator_t
| xcb_fontprop_iterator_t More...
struct | xcb_charinfo_t
| xcb_charinfo_t More...
struct | xcb_charinfo_iterator_t
| xcb_charinfo_iterator_t More...
struct | xcb_query_font_cookie_t
| xcb_query_font_cookie_t More...
struct | xcb_query_font_request_t
| xcb_query_font_request_t More...
struct | xcb_query_font_reply_t
| xcb_query_font_reply_t More...
struct | xcb_query_text_extents_cookie_t
| xcb_query_text_extents_cookie_t More...
struct | xcb_query_text_extents_request_t
| xcb_query_text_extents_request_t More...
struct | xcb_query_text_extents_reply_t
| xcb_query_text_extents_reply_t More...
struct | xcb_str_t
| xcb_str_t More...
struct | xcb_str_iterator_t
| xcb_str_iterator_t More...
struct | xcb_list_fonts_cookie_t
| xcb_list_fonts_cookie_t More...
struct | xcb_list_fonts_request_t
| xcb_list_fonts_request_t More...
struct | xcb_list_fonts_reply_t
| xcb_list_fonts_reply_t More...
struct | xcb_list_fonts_with_info_cookie_t
| xcb_list_fonts_with_info_cookie_t More...
struct | xcb_list_fonts_with_info_request_t
| xcb_list_fonts_with_info_request_t More...
struct | xcb_list_fonts_with_info_reply_t
| xcb_list_fonts_with_info_reply_t More...
struct | xcb_set_font_path_request_t
| xcb_set_font_path_request_t More...
struct | xcb_get_font_path_cookie_t
| xcb_get_font_path_cookie_t More...
struct | xcb_get_font_path_request_t
| xcb_get_font_path_request_t More...
struct | xcb_get_font_path_reply_t
| xcb_get_font_path_reply_t More...
struct | xcb_create_pixmap_request_t
| xcb_create_pixmap_request_t More...
struct | xcb_free_pixmap_request_t
| xcb_free_pixmap_request_t More...
struct | xcb_create_gc_request_t
| xcb_create_gc_request_t More...
struct | xcb_change_gc_request_t
| xcb_change_gc_request_t More...
struct | xcb_copy_gc_request_t
| xcb_copy_gc_request_t More...
struct | xcb_set_dashes_request_t
| xcb_set_dashes_request_t More...
struct | xcb_set_clip_rectangles_request_t
| xcb_set_clip_rectangles_request_t More...
struct | xcb_free_gc_request_t
| xcb_free_gc_request_t More...
struct | xcb_clear_area_request_t
| xcb_clear_area_request_t More...
struct | xcb_copy_area_request_t
| xcb_copy_area_request_t More...
struct | xcb_copy_plane_request_t
| xcb_copy_plane_request_t More...
struct | xcb_poly_point_request_t
| xcb_poly_point_request_t More...
struct | xcb_poly_line_request_t
| xcb_poly_line_request_t More...
struct | xcb_segment_t
| xcb_segment_t More...
struct | xcb_segment_iterator_t
| xcb_segment_iterator_t More...
struct | xcb_poly_segment_request_t
| xcb_poly_segment_request_t More...
struct | xcb_poly_rectangle_request_t
| xcb_poly_rectangle_request_t More...
struct | xcb_poly_arc_request_t
| xcb_poly_arc_request_t More...
struct | xcb_fill_poly_request_t
| xcb_fill_poly_request_t More...
struct | xcb_poly_fill_rectangle_request_t
| xcb_poly_fill_rectangle_request_t More...
struct | xcb_poly_fill_arc_request_t
| xcb_poly_fill_arc_request_t More...
struct | xcb_put_image_request_t
| xcb_put_image_request_t More...
struct | xcb_get_image_cookie_t
| xcb_get_image_cookie_t More...
struct | xcb_get_image_request_t
| xcb_get_image_request_t More...
struct | xcb_get_image_reply_t
| xcb_get_image_reply_t More...
struct | xcb_poly_text_8_request_t
| xcb_poly_text_8_request_t More...
struct | xcb_poly_text_16_request_t
| xcb_poly_text_16_request_t More...
struct | xcb_image_text_8_request_t
| xcb_image_text_8_request_t More...
struct | xcb_image_text_16_request_t
| xcb_image_text_16_request_t More...
struct | xcb_create_colormap_request_t
| xcb_create_colormap_request_t More...
struct | xcb_free_colormap_request_t
| xcb_free_colormap_request_t More...
struct | xcb_copy_colormap_and_free_request_t
| xcb_copy_colormap_and_free_request_t More...
struct | xcb_install_colormap_request_t
| xcb_install_colormap_request_t More...
struct | xcb_uninstall_colormap_request_t
| xcb_uninstall_colormap_request_t More...
struct | xcb_list_installed_colormaps_cookie_t
| xcb_list_installed_colormaps_cookie_t More...
struct | xcb_list_installed_colormaps_request_t
| xcb_list_installed_colormaps_request_t More...
struct | xcb_list_installed_colormaps_reply_t
| xcb_list_installed_colormaps_reply_t More...
struct | xcb_alloc_color_cookie_t
| xcb_alloc_color_cookie_t More...
struct | xcb_alloc_color_request_t
| xcb_alloc_color_request_t More...
struct | xcb_alloc_color_reply_t
| xcb_alloc_color_reply_t More...
struct | xcb_alloc_named_color_cookie_t
| xcb_alloc_named_color_cookie_t More...
struct | xcb_alloc_named_color_request_t
| xcb_alloc_named_color_request_t More...
struct | xcb_alloc_named_color_reply_t
| xcb_alloc_named_color_reply_t More...
struct | xcb_alloc_color_cells_cookie_t
| xcb_alloc_color_cells_cookie_t More...
struct | xcb_alloc_color_cells_request_t
| xcb_alloc_color_cells_request_t More...
struct | xcb_alloc_color_cells_reply_t
| xcb_alloc_color_cells_reply_t More...
struct | xcb_alloc_color_planes_cookie_t
| xcb_alloc_color_planes_cookie_t More...
struct | xcb_alloc_color_planes_request_t
| xcb_alloc_color_planes_request_t More...
struct | xcb_alloc_color_planes_reply_t
| xcb_alloc_color_planes_reply_t More...
struct | xcb_free_colors_request_t
| xcb_free_colors_request_t More...
struct | xcb_coloritem_t
| xcb_coloritem_t More...
struct | xcb_coloritem_iterator_t
| xcb_coloritem_iterator_t More...
struct | xcb_store_colors_request_t
| xcb_store_colors_request_t More...
struct | xcb_store_named_color_request_t
| xcb_store_named_color_request_t More...
struct | xcb_rgb_t
| xcb_rgb_t More...
struct | xcb_rgb_iterator_t
| xcb_rgb_iterator_t More...
struct | xcb_query_colors_cookie_t
| xcb_query_colors_cookie_t More...
struct | xcb_query_colors_request_t
| xcb_query_colors_request_t More...
struct | xcb_query_colors_reply_t
| xcb_query_colors_reply_t More...
struct | xcb_lookup_color_cookie_t
| xcb_lookup_color_cookie_t More...
struct | xcb_lookup_color_request_t
| xcb_lookup_color_request_t More...
struct | xcb_lookup_color_reply_t
| xcb_lookup_color_reply_t More...
struct | xcb_create_cursor_request_t
| xcb_create_cursor_request_t More...
struct | xcb_create_glyph_cursor_request_t
| xcb_create_glyph_cursor_request_t More...
struct | xcb_free_cursor_request_t
| xcb_free_cursor_request_t More...
struct | xcb_recolor_cursor_request_t
| xcb_recolor_cursor_request_t More...
struct | xcb_query_best_size_cookie_t
| xcb_query_best_size_cookie_t More...
struct | xcb_query_best_size_request_t
| xcb_query_best_size_request_t More...
struct | xcb_query_best_size_reply_t
| xcb_query_best_size_reply_t More...
struct | xcb_query_extension_cookie_t
| xcb_query_extension_cookie_t More...
struct | xcb_query_extension_request_t
| xcb_query_extension_request_t More...
struct | xcb_query_extension_reply_t
| xcb_query_extension_reply_t More...
struct | xcb_list_extensions_cookie_t
| xcb_list_extensions_cookie_t More...
struct | xcb_list_extensions_request_t
| xcb_list_extensions_request_t More...
struct | xcb_list_extensions_reply_t
| xcb_list_extensions_reply_t More...
struct | xcb_change_keyboard_mapping_request_t
| xcb_change_keyboard_mapping_request_t More...
struct | xcb_get_keyboard_mapping_cookie_t
| xcb_get_keyboard_mapping_cookie_t More...
struct | xcb_get_keyboard_mapping_request_t
| xcb_get_keyboard_mapping_request_t More...
struct | xcb_get_keyboard_mapping_reply_t
| xcb_get_keyboard_mapping_reply_t More...
struct | xcb_change_keyboard_control_request_t
| xcb_change_keyboard_control_request_t More...
struct | xcb_get_keyboard_control_cookie_t
| xcb_get_keyboard_control_cookie_t More...
struct | xcb_get_keyboard_control_request_t
| xcb_get_keyboard_control_request_t More...
struct | xcb_get_keyboard_control_reply_t
| xcb_get_keyboard_control_reply_t More...
struct | xcb_bell_request_t
| xcb_bell_request_t More...
struct | xcb_change_pointer_control_request_t
| xcb_change_pointer_control_request_t More...
struct | xcb_get_pointer_control_cookie_t
| xcb_get_pointer_control_cookie_t More...
struct | xcb_get_pointer_control_request_t
| xcb_get_pointer_control_request_t More...
struct | xcb_get_pointer_control_reply_t
| xcb_get_pointer_control_reply_t More...
struct | xcb_set_screen_saver_request_t
| xcb_set_screen_saver_request_t More...
struct | xcb_get_screen_saver_cookie_t
| xcb_get_screen_saver_cookie_t More...
struct | xcb_get_screen_saver_request_t
| xcb_get_screen_saver_request_t More...
struct | xcb_get_screen_saver_reply_t
| xcb_get_screen_saver_reply_t More...
struct | xcb_change_hosts_request_t
| xcb_change_hosts_request_t More...
struct | xcb_host_t
| xcb_host_t More...
struct | xcb_host_iterator_t
| xcb_host_iterator_t More...
struct | xcb_list_hosts_cookie_t
| xcb_list_hosts_cookie_t More...
struct | xcb_list_hosts_request_t
| xcb_list_hosts_request_t More...
struct | xcb_list_hosts_reply_t
| xcb_list_hosts_reply_t More...
struct | xcb_set_access_control_request_t
| xcb_set_access_control_request_t More...
struct | xcb_set_close_down_mode_request_t
| xcb_set_close_down_mode_request_t More...
struct | xcb_kill_client_request_t
| xcb_kill_client_request_t More...
struct | xcb_rotate_properties_request_t
| xcb_rotate_properties_request_t More...
struct | xcb_force_screen_saver_request_t
| xcb_force_screen_saver_request_t More...
struct | xcb_set_pointer_mapping_cookie_t
| xcb_set_pointer_mapping_cookie_t More...
struct | xcb_set_pointer_mapping_request_t
| xcb_set_pointer_mapping_request_t More...
struct | xcb_set_pointer_mapping_reply_t
| xcb_set_pointer_mapping_reply_t More...
struct | xcb_get_pointer_mapping_cookie_t
| xcb_get_pointer_mapping_cookie_t More...
struct | xcb_get_pointer_mapping_request_t
| xcb_get_pointer_mapping_request_t More...
struct | xcb_get_pointer_mapping_reply_t
| xcb_get_pointer_mapping_reply_t More...
struct | xcb_set_modifier_mapping_cookie_t
| xcb_set_modifier_mapping_cookie_t More...
struct | xcb_set_modifier_mapping_request_t
| xcb_set_modifier_mapping_request_t More...
struct | xcb_set_modifier_mapping_reply_t
| xcb_set_modifier_mapping_reply_t More...
struct | xcb_get_modifier_mapping_cookie_t
| xcb_get_modifier_mapping_cookie_t More...
struct | xcb_get_modifier_mapping_request_t
| xcb_get_modifier_mapping_request_t More...
struct | xcb_get_modifier_mapping_reply_t
| xcb_get_modifier_mapping_reply_t More...
struct | xcb_no_operation_request_t
| xcb_no_operation_request_t More...
## Defines
#define | XCB_KEY_PRESS 2
#define | XCB_KEY_RELEASE 3
#define | XCB_BUTTON_PRESS 4
#define | XCB_BUTTON_RELEASE 5
#define | XCB_MOTION_NOTIFY 6
#define | XCB_ENTER_NOTIFY 7
#define | XCB_LEAVE_NOTIFY 8
#define | XCB_FOCUS_IN 9
#define | XCB_FOCUS_OUT 10
#define | XCB_KEYMAP_NOTIFY 11
#define | XCB_EXPOSE 12
#define | XCB_GRAPHICS_EXPOSURE 13
#define | XCB_NO_EXPOSURE 14
#define | XCB_VISIBILITY_NOTIFY 15
#define | XCB_CREATE_NOTIFY 16
#define | XCB_DESTROY_NOTIFY 17
#define | XCB_UNMAP_NOTIFY 18
#define | XCB_MAP_NOTIFY 19
#define | XCB_MAP_REQUEST 20
#define | XCB_REPARENT_NOTIFY 21
#define | XCB_CONFIGURE_NOTIFY 22
#define | XCB_CONFIGURE_REQUEST 23
#define | XCB_GRAVITY_NOTIFY 24
#define | XCB_RESIZE_REQUEST 25
#define | XCB_CIRCULATE_NOTIFY 26
#define | XCB_CIRCULATE_REQUEST 27
#define | XCB_PROPERTY_NOTIFY 28
#define | XCB_SELECTION_CLEAR 29
#define | XCB_SELECTION_REQUEST 30
#define | XCB_SELECTION_NOTIFY 31
#define | XCB_COLORMAP_NOTIFY 32
#define | XCB_CLIENT_MESSAGE 33
#define | XCB_MAPPING_NOTIFY 34
#define | XCB_REQUEST 1
#define | XCB_VALUE 2
#define | XCB_WINDOW 3
#define | XCB_PIXMAP 4
#define | XCB_ATOM 5
#define | XCB_CURSOR 6
#define | XCB_FONT 7
#define | XCB_MATCH 8
#define | XCB_DRAWABLE 9
#define | XCB_ACCESS 10
#define | XCB_ALLOC 11
#define | XCB_COLORMAP 12
#define | XCB_G_CONTEXT 13
#define | XCB_ID_CHOICE 14
#define | XCB_NAME 15
#define | XCB_LENGTH 16
#define | XCB_IMPLEMENTATION 17
#define | XCB_CREATE_WINDOW 1
#define | XCB_CHANGE_WINDOW_ATTRIBUTES 2
#define | XCB_GET_WINDOW_ATTRIBUTES 3
#define | XCB_DESTROY_WINDOW 4
#define | XCB_DESTROY_SUBWINDOWS 5
#define | XCB_CHANGE_SAVE_SET 6
#define | XCB_REPARENT_WINDOW 7
#define | XCB_MAP_WINDOW 8
#define | XCB_MAP_SUBWINDOWS 9
#define | XCB_UNMAP_WINDOW 10
#define | XCB_UNMAP_SUBWINDOWS 11
#define | XCB_CONFIGURE_WINDOW 12
#define | XCB_CIRCULATE_WINDOW 13
#define | XCB_GET_GEOMETRY 14
#define | XCB_QUERY_TREE 15
#define | XCB_INTERN_ATOM 16
#define | XCB_GET_ATOM_NAME 17
#define | XCB_CHANGE_PROPERTY 18
#define | XCB_DELETE_PROPERTY 19
#define | XCB_GET_PROPERTY 20
#define | XCB_LIST_PROPERTIES 21
#define | XCB_SET_SELECTION_OWNER 22
#define | XCB_GET_SELECTION_OWNER 23
#define | XCB_CONVERT_SELECTION 24
#define | XCB_SEND_EVENT 25
#define | XCB_GRAB_POINTER 26
#define | XCB_UNGRAB_POINTER 27
#define | XCB_GRAB_BUTTON 28
#define | XCB_UNGRAB_BUTTON 29
#define | XCB_CHANGE_ACTIVE_POINTER_GRAB 30
#define | XCB_GRAB_KEYBOARD 31
#define | XCB_UNGRAB_KEYBOARD 32
#define | XCB_GRAB_KEY 33
#define | XCB_UNGRAB_KEY 34
#define | XCB_ALLOW_EVENTS 35
#define | XCB_GRAB_SERVER 36
#define | XCB_UNGRAB_SERVER 37
#define | XCB_QUERY_POINTER 38
#define | XCB_GET_MOTION_EVENTS 39
#define | XCB_TRANSLATE_COORDINATES 40
#define | XCB_WARP_POINTER 41
#define | XCB_SET_INPUT_FOCUS 42
#define | XCB_GET_INPUT_FOCUS 43
#define | XCB_QUERY_KEYMAP 44
#define | XCB_OPEN_FONT 45
#define | XCB_CLOSE_FONT 46
#define | XCB_QUERY_FONT 47
#define | XCB_QUERY_TEXT_EXTENTS 48
#define | XCB_LIST_FONTS 49
#define | XCB_LIST_FONTS_WITH_INFO 50
#define | XCB_SET_FONT_PATH 51
#define | XCB_GET_FONT_PATH 52
#define | XCB_CREATE_PIXMAP 53
#define | XCB_FREE_PIXMAP 54
#define | XCB_CREATE_GC 55
#define | XCB_CHANGE_GC 56
#define | XCB_COPY_GC 57
#define | XCB_SET_DASHES 58
#define | XCB_SET_CLIP_RECTANGLES 59
#define | XCB_FREE_GC 60
#define | XCB_CLEAR_AREA 61
#define | XCB_COPY_AREA 62
#define | XCB_COPY_PLANE 63
#define | XCB_POLY_POINT 64
#define | XCB_POLY_LINE 65
#define | XCB_POLY_SEGMENT 66
#define | XCB_POLY_RECTANGLE 67
#define | XCB_POLY_ARC 68
#define | XCB_FILL_POLY 69
#define | XCB_POLY_FILL_RECTANGLE 70
#define | XCB_POLY_FILL_ARC 71
#define | XCB_PUT_IMAGE 72
#define | XCB_GET_IMAGE 73
#define | XCB_POLY_TEXT_8 74
#define | XCB_POLY_TEXT_16 75
#define | XCB_IMAGE_TEXT_8 76
#define | XCB_IMAGE_TEXT_16 77
#define | XCB_CREATE_COLORMAP 78
#define | XCB_FREE_COLORMAP 79
#define | XCB_COPY_COLORMAP_AND_FREE 80
#define | XCB_INSTALL_COLORMAP 81
#define | XCB_UNINSTALL_COLORMAP 82
#define | XCB_LIST_INSTALLED_COLORMAPS 83
#define | XCB_ALLOC_COLOR 84
#define | XCB_ALLOC_NAMED_COLOR 85
#define | XCB_ALLOC_COLOR_CELLS 86
#define | XCB_ALLOC_COLOR_PLANES 87
#define | XCB_FREE_COLORS 88
#define | XCB_STORE_COLORS 89
#define | XCB_STORE_NAMED_COLOR 90
#define | XCB_QUERY_COLORS 91
#define | XCB_LOOKUP_COLOR 92
#define | XCB_CREATE_CURSOR 93
#define | XCB_CREATE_GLYPH_CURSOR 94
#define | XCB_FREE_CURSOR 95
#define | XCB_RECOLOR_CURSOR 96
#define | XCB_QUERY_BEST_SIZE 97
#define | XCB_QUERY_EXTENSION 98
#define | XCB_LIST_EXTENSIONS 99
#define | XCB_CHANGE_KEYBOARD_MAPPING 100
#define | XCB_GET_KEYBOARD_MAPPING 101
#define | XCB_CHANGE_KEYBOARD_CONTROL 102
#define | XCB_GET_KEYBOARD_CONTROL 103
#define | XCB_BELL 104
#define | XCB_CHANGE_POINTER_CONTROL 105
#define | XCB_GET_POINTER_CONTROL 106
#define | XCB_SET_SCREEN_SAVER 107
#define | XCB_GET_SCREEN_SAVER 108
#define | XCB_CHANGE_HOSTS 109
#define | XCB_LIST_HOSTS 110
#define | XCB_SET_ACCESS_CONTROL 111
#define | XCB_SET_CLOSE_DOWN_MODE 112
#define | XCB_KILL_CLIENT 113
#define | XCB_ROTATE_PROPERTIES 114
#define | XCB_FORCE_SCREEN_SAVER 115
#define | XCB_SET_POINTER_MAPPING 116
#define | XCB_GET_POINTER_MAPPING 117
#define | XCB_SET_MODIFIER_MAPPING 118
#define | XCB_GET_MODIFIER_MAPPING 119
#define | XCB_NO_OPERATION 127
## Typedefs
typedef uint32_t | xcb_window_t
typedef uint32_t | xcb_pixmap_t
typedef uint32_t | xcb_cursor_t
typedef uint32_t | xcb_font_t
typedef uint32_t | xcb_gcontext_t
typedef uint32_t | xcb_colormap_t
typedef uint32_t | xcb_atom_t
typedef uint32_t | xcb_drawable_t
typedef uint32_t | xcb_fontable_t
typedef uint32_t | xcb_visualid_t
typedef uint32_t | xcb_timestamp_t
typedef uint32_t | xcb_keysym_t
typedef uint8_t | xcb_keycode_t
typedef uint8_t | xcb_button_t
typedef xcb_key_press_event_t | xcb_key_release_event_t
typedef xcb_button_press_event_t | xcb_button_release_event_t
typedef xcb_enter_notify_event_t | xcb_leave_notify_event_t
typedef xcb_focus_in_event_t | xcb_focus_out_event_t
typedef xcb_circulate_notify_event_t | xcb_circulate_request_event_t
typedef xcb_value_error_t | xcb_window_error_t
typedef xcb_value_error_t | xcb_pixmap_error_t
typedef xcb_value_error_t | xcb_atom_error_t
typedef xcb_value_error_t | xcb_cursor_error_t
typedef xcb_value_error_t | xcb_font_error_t
typedef xcb_request_error_t | xcb_match_error_t
typedef xcb_value_error_t | xcb_drawable_error_t
typedef xcb_request_error_t | xcb_access_error_t
typedef xcb_request_error_t | xcb_alloc_error_t
typedef xcb_value_error_t | xcb_colormap_error_t
typedef xcb_value_error_t | xcb_g_context_error_t
typedef xcb_value_error_t | xcb_id_choice_error_t
typedef xcb_request_error_t | xcb_name_error_t
typedef xcb_request_error_t | xcb_length_error_t
typedef xcb_request_error_t | xcb_implementation_error_t
## Enumerations
enum | xcb_visual_class_t { XCB_VISUAL_CLASS_STATIC_GRAY = 0, XCB_VISUAL_CLASS_GRAY_SCALE = 1, XCB_VISUAL_CLASS_STATIC_COLOR = 2, XCB_VISUAL_CLASS_PSEUDO_COLOR = 3, XCB_VISUAL_CLASS_TRUE_COLOR = 4, XCB_VISUAL_CLASS_DIRECT_COLOR = 5 }
enum | xcb_event_mask_t { XCB_EVENT_MASK_NO_EVENT = 0, XCB_EVENT_MASK_KEY_PRESS = 1, XCB_EVENT_MASK_KEY_RELEASE = 2, XCB_EVENT_MASK_BUTTON_PRESS = 4, XCB_EVENT_MASK_BUTTON_RELEASE = 8, XCB_EVENT_MASK_ENTER_WINDOW = 16, XCB_EVENT_MASK_LEAVE_WINDOW = 32, XCB_EVENT_MASK_POINTER_MOTION = 64, XCB_EVENT_MASK_POINTER_MOTION_HINT = 128, XCB_EVENT_MASK_BUTTON_1_MOTION = 256, XCB_EVENT_MASK_BUTTON_2_MOTION = 512, XCB_EVENT_MASK_BUTTON_3_MOTION = 1024, XCB_EVENT_MASK_BUTTON_4_MOTION = 2048, XCB_EVENT_MASK_BUTTON_5_MOTION = 4096, XCB_EVENT_MASK_BUTTON_MOTION = 8192, XCB_EVENT_MASK_KEYMAP_STATE = 16384, XCB_EVENT_MASK_EXPOSURE = 32768, XCB_EVENT_MASK_VISIBILITY_CHANGE = 65536, XCB_EVENT_MASK_STRUCTURE_NOTIFY = 131072, XCB_EVENT_MASK_RESIZE_REDIRECT = 262144, XCB_EVENT_MASK_SUBSTRUCTURE_NOTIFY = 524288, XCB_EVENT_MASK_SUBSTRUCTURE_REDIRECT = 1048576, XCB_EVENT_MASK_FOCUS_CHANGE = 2097152, XCB_EVENT_MASK_PROPERTY_CHANGE = 4194304, XCB_EVENT_MASK_COLOR_MAP_CHANGE = 8388608, XCB_EVENT_MASK_OWNER_GRAB_BUTTON = 16777216 }
enum | xcb_backing_store_t { XCB_BACKING_STORE_NOT_USEFUL = 0, XCB_BACKING_STORE_WHEN_MAPPED = 1, XCB_BACKING_STORE_ALWAYS = 2 }
enum | xcb_image_order_t { XCB_IMAGE_ORDER_LSB_FIRST = 0, XCB_IMAGE_ORDER_MSB_FIRST = 1 }
enum | xcb_mod_mask_t { XCB_MOD_MASK_SHIFT = 1, XCB_MOD_MASK_LOCK = 2, XCB_MOD_MASK_CONTROL = 4, XCB_MOD_MASK_1 = 8, XCB_MOD_MASK_2 = 16, XCB_MOD_MASK_3 = 32, XCB_MOD_MASK_4 = 64, XCB_MOD_MASK_5 = 128, XCB_MOD_MASK_ANY = 32768 }
enum | xcb_key_but_mask_t { XCB_KEY_BUT_MASK_SHIFT = 1, XCB_KEY_BUT_MASK_LOCK = 2, XCB_KEY_BUT_MASK_CONTROL = 4, XCB_KEY_BUT_MASK_MOD_1 = 8, XCB_KEY_BUT_MASK_MOD_2 = 16, XCB_KEY_BUT_MASK_MOD_3 = 32, XCB_KEY_BUT_MASK_MOD_4 = 64, XCB_KEY_BUT_MASK_MOD_5 = 128, XCB_KEY_BUT_MASK_BUTTON_1 = 256, XCB_KEY_BUT_MASK_BUTTON_2 = 512, XCB_KEY_BUT_MASK_BUTTON_3 = 1024, XCB_KEY_BUT_MASK_BUTTON_4 = 2048, XCB_KEY_BUT_MASK_BUTTON_5 = 4096 }
enum | xcb_window_enum_t { XCB_WINDOW_NONE = 0 }
enum | xcb_button_mask_t { XCB_BUTTON_MASK_1 = 256, XCB_BUTTON_MASK_2 = 512, XCB_BUTTON_MASK_3 = 1024, XCB_BUTTON_MASK_4 = 2048, XCB_BUTTON_MASK_5 = 4096, XCB_BUTTON_MASK_ANY = 32768 }
enum | xcb_motion_t { XCB_MOTION_NORMAL = 0, XCB_MOTION_HINT = 1 }
enum | xcb_notify_detail_t { XCB_NOTIFY_DETAIL_ANCESTOR = 0, XCB_NOTIFY_DETAIL_VIRTUAL = 1, XCB_NOTIFY_DETAIL_INFERIOR = 2, XCB_NOTIFY_DETAIL_NONLINEAR = 3, XCB_NOTIFY_DETAIL_NONLINEAR_VIRTUAL = 4, XCB_NOTIFY_DETAIL_POINTER = 5, XCB_NOTIFY_DETAIL_POINTER_ROOT = 6, XCB_NOTIFY_DETAIL_NONE = 7 }
enum | xcb_notify_mode_t { XCB_NOTIFY_MODE_NORMAL = 0, XCB_NOTIFY_MODE_GRAB = 1, XCB_NOTIFY_MODE_UNGRAB = 2, XCB_NOTIFY_MODE_WHILE_GRABBED = 3 }
enum | xcb_visibility_t { XCB_VISIBILITY_UNOBSCURED = 0, XCB_VISIBILITY_PARTIALLY_OBSCURED = 1, XCB_VISIBILITY_FULLY_OBSCURED = 2 }
enum | xcb_place_t { XCB_PLACE_ON_TOP = 0, XCB_PLACE_ON_BOTTOM = 1 }
enum | xcb_property_t { XCB_PROPERTY_NEW_VALUE = 0, XCB_PROPERTY_DELETE = 1 }
enum | xcb_time_t { XCB_TIME_CURRENT_TIME = 0 }
enum | xcb_atom_enum_t { XCB_ATOM_NONE = 0, XCB_ATOM_ANY = 0, XCB_ATOM_PRIMARY, XCB_ATOM_SECONDARY, XCB_ATOM_ARC, XCB_ATOM_ATOM, XCB_ATOM_BITMAP, XCB_ATOM_CARDINAL, XCB_ATOM_COLORMAP, XCB_ATOM_CURSOR, XCB_ATOM_CUT_BUFFER0, XCB_ATOM_CUT_BUFFER1, XCB_ATOM_CUT_BUFFER2, XCB_ATOM_CUT_BUFFER3, XCB_ATOM_CUT_BUFFER4, XCB_ATOM_CUT_BUFFER5, XCB_ATOM_CUT_BUFFER6, XCB_ATOM_CUT_BUFFER7, XCB_ATOM_DRAWABLE, XCB_ATOM_FONT, XCB_ATOM_INTEGER, XCB_ATOM_PIXMAP, XCB_ATOM_POINT, XCB_ATOM_RECTANGLE, XCB_ATOM_RESOURCE_MANAGER, XCB_ATOM_RGB_COLOR_MAP, XCB_ATOM_RGB_BEST_MAP, XCB_ATOM_RGB_BLUE_MAP, XCB_ATOM_RGB_DEFAULT_MAP, XCB_ATOM_RGB_GRAY_MAP, XCB_ATOM_RGB_GREEN_MAP, XCB_ATOM_RGB_RED_MAP, XCB_ATOM_STRING, XCB_ATOM_VISUALID, XCB_ATOM_WINDOW, XCB_ATOM_WM_COMMAND, XCB_ATOM_WM_HINTS, XCB_ATOM_WM_CLIENT_MACHINE, XCB_ATOM_WM_ICON_NAME, XCB_ATOM_WM_ICON_SIZE, XCB_ATOM_WM_NAME, XCB_ATOM_WM_NORMAL_HINTS, XCB_ATOM_WM_SIZE_HINTS, XCB_ATOM_WM_ZOOM_HINTS, XCB_ATOM_MIN_SPACE, XCB_ATOM_NORM_SPACE, XCB_ATOM_MAX_SPACE, XCB_ATOM_END_SPACE, XCB_ATOM_SUPERSCRIPT_X, XCB_ATOM_SUPERSCRIPT_Y, XCB_ATOM_SUBSCRIPT_X, XCB_ATOM_SUBSCRIPT_Y, XCB_ATOM_UNDERLINE_POSITION, XCB_ATOM_UNDERLINE_THICKNESS, XCB_ATOM_STRIKEOUT_ASCENT, XCB_ATOM_STRIKEOUT_DESCENT, XCB_ATOM_ITALIC_ANGLE, XCB_ATOM_X_HEIGHT, XCB_ATOM_QUAD_WIDTH, XCB_ATOM_WEIGHT, XCB_ATOM_POINT_SIZE, XCB_ATOM_RESOLUTION, XCB_ATOM_COPYRIGHT, XCB_ATOM_NOTICE, XCB_ATOM_FONT_NAME, XCB_ATOM_FAMILY_NAME, XCB_ATOM_FULL_NAME, XCB_ATOM_CAP_HEIGHT, XCB_ATOM_WM_CLASS, XCB_ATOM_WM_TRANSIENT_FOR }
enum | xcb_colormap_state_t { XCB_COLORMAP_STATE_UNINSTALLED = 0, XCB_COLORMAP_STATE_INSTALLED = 1 }
enum | xcb_colormap_enum_t { XCB_COLORMAP_NONE = 0 }
enum | xcb_mapping_t { XCB_MAPPING_MODIFIER = 0, XCB_MAPPING_KEYBOARD = 1, XCB_MAPPING_POINTER = 2 }
enum | xcb_window_class_t { XCB_WINDOW_CLASS_COPY_FROM_PARENT = 0, XCB_WINDOW_CLASS_INPUT_OUTPUT = 1, XCB_WINDOW_CLASS_INPUT_ONLY = 2 }
enum | xcb_cw_t { XCB_CW_BACK_PIXMAP = 1, XCB_CW_BACK_PIXEL = 2, XCB_CW_BORDER_PIXMAP = 4, XCB_CW_BORDER_PIXEL = 8, XCB_CW_BIT_GRAVITY = 16, XCB_CW_WIN_GRAVITY = 32, XCB_CW_BACKING_STORE = 64, XCB_CW_BACKING_PLANES = 128, XCB_CW_BACKING_PIXEL = 256, XCB_CW_OVERRIDE_REDIRECT = 512, XCB_CW_SAVE_UNDER = 1024, XCB_CW_EVENT_MASK = 2048, XCB_CW_DONT_PROPAGATE = 4096, XCB_CW_COLORMAP = 8192, XCB_CW_CURSOR = 16384 }
enum | xcb_back_pixmap_t { XCB_BACK_PIXMAP_NONE = 0, XCB_BACK_PIXMAP_PARENT_RELATIVE = 1 }
enum | xcb_gravity_t { XCB_GRAVITY_BIT_FORGET = 0, XCB_GRAVITY_WIN_UNMAP = 0, XCB_GRAVITY_NORTH_WEST = 1, XCB_GRAVITY_NORTH = 2, XCB_GRAVITY_NORTH_EAST = 3, XCB_GRAVITY_WEST = 4, XCB_GRAVITY_CENTER = 5, XCB_GRAVITY_EAST = 6, XCB_GRAVITY_SOUTH_WEST = 7, XCB_GRAVITY_SOUTH = 8, XCB_GRAVITY_SOUTH_EAST = 9, XCB_GRAVITY_STATIC = 10 }
enum | xcb_map_state_t { XCB_MAP_STATE_UNMAPPED = 0, XCB_MAP_STATE_UNVIEWABLE = 1, XCB_MAP_STATE_VIEWABLE = 2 }
enum | xcb_set_mode_t { XCB_SET_MODE_INSERT = 0, XCB_SET_MODE_DELETE = 1 }
enum | xcb_config_window_t { XCB_CONFIG_WINDOW_X = 1, XCB_CONFIG_WINDOW_Y = 2, XCB_CONFIG_WINDOW_WIDTH = 4, XCB_CONFIG_WINDOW_HEIGHT = 8, XCB_CONFIG_WINDOW_BORDER_WIDTH = 16, XCB_CONFIG_WINDOW_SIBLING = 32, XCB_CONFIG_WINDOW_STACK_MODE = 64 }
enum | xcb_stack_mode_t { XCB_STACK_MODE_ABOVE = 0, XCB_STACK_MODE_BELOW = 1, XCB_STACK_MODE_TOP_IF = 2, XCB_STACK_MODE_BOTTOM_IF = 3, XCB_STACK_MODE_OPPOSITE = 4 }
enum | xcb_circulate_t { XCB_CIRCULATE_RAISE_LOWEST = 0, XCB_CIRCULATE_LOWER_HIGHEST = 1 }
enum | xcb_prop_mode_t { XCB_PROP_MODE_REPLACE = 0, XCB_PROP_MODE_PREPEND = 1, XCB_PROP_MODE_APPEND = 2 }
enum | xcb_get_property_type_t { XCB_GET_PROPERTY_TYPE_ANY = 0 }
enum | xcb_send_event_dest_t { XCB_SEND_EVENT_DEST_POINTER_WINDOW = 0, XCB_SEND_EVENT_DEST_ITEM_FOCUS = 1 }
enum | xcb_grab_mode_t { XCB_GRAB_MODE_SYNC = 0, XCB_GRAB_MODE_ASYNC = 1 }
enum | xcb_grab_status_t { XCB_GRAB_STATUS_SUCCESS = 0, XCB_GRAB_STATUS_ALREADY_GRABBED = 1, XCB_GRAB_STATUS_INVALID_TIME = 2, XCB_GRAB_STATUS_NOT_VIEWABLE = 3, XCB_GRAB_STATUS_FROZEN = 4 }
enum | xcb_cursor_enum_t { XCB_CURSOR_NONE = 0 }
enum | xcb_button_index_t { XCB_BUTTON_INDEX_ANY = 0, XCB_BUTTON_INDEX_1 = 1, XCB_BUTTON_INDEX_2 = 2, XCB_BUTTON_INDEX_3 = 3, XCB_BUTTON_INDEX_4 = 4, XCB_BUTTON_INDEX_5 = 5 }
enum | xcb_grab_t { XCB_GRAB_ANY = 0 }
enum | xcb_allow_t { XCB_ALLOW_ASYNC_POINTER = 0, XCB_ALLOW_SYNC_POINTER = 1, XCB_ALLOW_REPLAY_POINTER = 2, XCB_ALLOW_ASYNC_KEYBOARD = 3, XCB_ALLOW_SYNC_KEYBOARD = 4, XCB_ALLOW_REPLAY_KEYBOARD = 5, XCB_ALLOW_ASYNC_BOTH = 6, XCB_ALLOW_SYNC_BOTH = 7 }
enum | xcb_input_focus_t { XCB_INPUT_FOCUS_NONE = 0, XCB_INPUT_FOCUS_POINTER_ROOT = 1, XCB_INPUT_FOCUS_PARENT = 2, XCB_INPUT_FOCUS_FOLLOW_KEYBOARD = 3 }
enum | xcb_font_draw_t { XCB_FONT_DRAW_LEFT_TO_RIGHT = 0, XCB_FONT_DRAW_RIGHT_TO_LEFT = 1 }
enum | xcb_gc_t { XCB_GC_FUNCTION = 1, XCB_GC_PLANE_MASK = 2, XCB_GC_FOREGROUND = 4, XCB_GC_BACKGROUND = 8, XCB_GC_LINE_WIDTH = 16, XCB_GC_LINE_STYLE = 32, XCB_GC_CAP_STYLE = 64, XCB_GC_JOIN_STYLE = 128, XCB_GC_FILL_STYLE = 256, XCB_GC_FILL_RULE = 512, XCB_GC_TILE = 1024, XCB_GC_STIPPLE = 2048, XCB_GC_TILE_STIPPLE_ORIGIN_X = 4096, XCB_GC_TILE_STIPPLE_ORIGIN_Y = 8192, XCB_GC_FONT = 16384, XCB_GC_SUBWINDOW_MODE = 32768, XCB_GC_GRAPHICS_EXPOSURES = 65536, XCB_GC_CLIP_ORIGIN_X = 131072, XCB_GC_CLIP_ORIGIN_Y = 262144, XCB_GC_CLIP_MASK = 524288, XCB_GC_DASH_OFFSET = 1048576, XCB_GC_DASH_LIST = 2097152, XCB_GC_ARC_MODE = 4194304 }
enum | xcb_gx_t { XCB_GX_CLEAR = 0, XCB_GX_AND = 1, XCB_GX_AND_REVERSE = 2, XCB_GX_COPY = 3, XCB_GX_AND_INVERTED = 4, XCB_GX_NOOP = 5, XCB_GX_XOR = 6, XCB_GX_OR = 7, XCB_GX_NOR = 8, XCB_GX_EQUIV = 9, XCB_GX_INVERT = 10, XCB_GX_OR_REVERSE = 11, XCB_GX_COPY_INVERTED = 12, XCB_GX_OR_INVERTED = 13, XCB_GX_NAND = 14, XCB_GX_SET = 15 }
enum | xcb_line_style_t { XCB_LINE_STYLE_SOLID = 0, XCB_LINE_STYLE_ON_OFF_DASH = 1, XCB_LINE_STYLE_DOUBLE_DASH = 2 }
enum | xcb_cap_style_t { XCB_CAP_STYLE_NOT_LAST = 0, XCB_CAP_STYLE_BUTT = 1, XCB_CAP_STYLE_ROUND = 2, XCB_CAP_STYLE_PROJECTING = 3 }
enum | xcb_join_style_t { XCB_JOIN_STYLE_MITER = 0, XCB_JOIN_STYLE_ROUND = 1, XCB_JOIN_STYLE_BEVEL = 2 }
enum | xcb_fill_style_t { XCB_FILL_STYLE_SOLID = 0, XCB_FILL_STYLE_TILED = 1, XCB_FILL_STYLE_STIPPLED = 2, XCB_FILL_STYLE_OPAQUE_STIPPLED = 3 }
enum | xcb_fill_rule_t { XCB_FILL_RULE_EVEN_ODD = 0, XCB_FILL_RULE_WINDING = 1 }
enum | xcb_subwindow_mode_t { XCB_SUBWINDOW_MODE_CLIP_BY_CHILDREN = 0, XCB_SUBWINDOW_MODE_INCLUDE_INFERIORS = 1 }
enum | xcb_arc_mode_t { XCB_ARC_MODE_CHORD = 0, XCB_ARC_MODE_PIE_SLICE = 1 }
enum | xcb_clip_ordering_t { XCB_CLIP_ORDERING_UNSORTED = 0, XCB_CLIP_ORDERING_Y_SORTED = 1, XCB_CLIP_ORDERING_YX_SORTED = 2, XCB_CLIP_ORDERING_YX_BANDED = 3 }
enum | xcb_coord_mode_t { XCB_COORD_MODE_ORIGIN = 0, XCB_COORD_MODE_PREVIOUS = 1 }
enum | xcb_poly_shape_t { XCB_POLY_SHAPE_COMPLEX = 0, XCB_POLY_SHAPE_NONCONVEX = 1, XCB_POLY_SHAPE_CONVEX = 2 }
enum | xcb_image_format_t { XCB_IMAGE_FORMAT_XY_BITMAP = 0, XCB_IMAGE_FORMAT_XY_PIXMAP = 1, XCB_IMAGE_FORMAT_Z_PIXMAP = 2 }
enum | xcb_colormap_alloc_t { XCB_COLORMAP_ALLOC_NONE = 0, XCB_COLORMAP_ALLOC_ALL = 1 }
enum | xcb_color_flag_t { XCB_COLOR_FLAG_RED = 1, XCB_COLOR_FLAG_GREEN = 2, XCB_COLOR_FLAG_BLUE = 4 }
enum | xcb_pixmap_enum_t { XCB_PIXMAP_NONE = 0 }
enum | xcb_font_enum_t { XCB_FONT_NONE = 0 }
enum | xcb_query_shape_of_t { XCB_QUERY_SHAPE_OF_LARGEST_CURSOR = 0, XCB_QUERY_SHAPE_OF_FASTEST_TILE = 1, XCB_QUERY_SHAPE_OF_FASTEST_STIPPLE = 2 }
enum | xcb_kb_t { XCB_KB_KEY_CLICK_PERCENT = 1, XCB_KB_BELL_PERCENT = 2, XCB_KB_BELL_PITCH = 4, XCB_KB_BELL_DURATION = 8, XCB_KB_LED = 16, XCB_KB_LED_MODE = 32, XCB_KB_KEY = 64, XCB_KB_AUTO_REPEAT_MODE = 128 }
enum | xcb_led_mode_t { XCB_LED_MODE_OFF = 0, XCB_LED_MODE_ON = 1 }
enum | xcb_auto_repeat_mode_t { XCB_AUTO_REPEAT_MODE_OFF = 0, XCB_AUTO_REPEAT_MODE_ON = 1, XCB_AUTO_REPEAT_MODE_DEFAULT = 2 }
enum | xcb_blanking_t { XCB_BLANKING_NOT_PREFERRED = 0, XCB_BLANKING_PREFERRED = 1, XCB_BLANKING_DEFAULT = 2 }
enum | xcb_exposures_t { XCB_EXPOSURES_NOT_ALLOWED = 0, XCB_EXPOSURES_ALLOWED = 1, XCB_EXPOSURES_DEFAULT = 2 }
enum | xcb_host_mode_t { XCB_HOST_MODE_INSERT = 0, XCB_HOST_MODE_DELETE = 1 }
enum | xcb_family_t { XCB_FAMILY_INTERNET = 0, XCB_FAMILY_DECNET = 1, XCB_FAMILY_CHAOS = 2, XCB_FAMILY_SERVER_INTERPRETED = 5, XCB_FAMILY_INTERNET_6 = 6 }
enum | xcb_access_control_t { XCB_ACCESS_CONTROL_DISABLE = 0, XCB_ACCESS_CONTROL_ENABLE = 1 }
enum | xcb_close_down_t { XCB_CLOSE_DOWN_DESTROY_ALL = 0, XCB_CLOSE_DOWN_RETAIN_PERMANENT = 1, XCB_CLOSE_DOWN_RETAIN_TEMPORARY = 2 }
enum | xcb_kill_t { XCB_KILL_ALL_TEMPORARY = 0 }
enum | xcb_screen_saver_t { XCB_SCREEN_SAVER_RESET = 0, XCB_SCREEN_SAVER_ACTIVE = 1 }
enum | xcb_mapping_status_t { XCB_MAPPING_STATUS_SUCCESS = 0, XCB_MAPPING_STATUS_BUSY = 1, XCB_MAPPING_STATUS_FAILURE = 2 }
enum | xcb_map_index_t { XCB_MAP_INDEX_SHIFT = 0, XCB_MAP_INDEX_LOCK = 1, XCB_MAP_INDEX_CONTROL = 2, XCB_MAP_INDEX_1 = 3, XCB_MAP_INDEX_2 = 4, XCB_MAP_INDEX_3 = 5, XCB_MAP_INDEX_4 = 6, XCB_MAP_INDEX_5 = 7 }
## Functions
void | xcb_char2b_next (xcb_char2b_iterator_t *i)
xcb_generic_iterator_t | xcb_char2b_end (xcb_char2b_iterator_t i)
void | xcb_window_next (xcb_window_iterator_t *i)
xcb_generic_iterator_t | xcb_window_end (xcb_window_iterator_t i)
void | xcb_pixmap_next (xcb_pixmap_iterator_t *i)
xcb_generic_iterator_t | xcb_pixmap_end (xcb_pixmap_iterator_t i)
void | xcb_cursor_next (xcb_cursor_iterator_t *i)
xcb_generic_iterator_t | xcb_cursor_end (xcb_cursor_iterator_t i)
void | xcb_font_next (xcb_font_iterator_t *i)
xcb_generic_iterator_t | xcb_font_end (xcb_font_iterator_t i)
void | xcb_gcontext_next (xcb_gcontext_iterator_t *i)
xcb_generic_iterator_t | xcb_gcontext_end (xcb_gcontext_iterator_t i)
void | xcb_colormap_next (xcb_colormap_iterator_t *i)
xcb_generic_iterator_t | xcb_colormap_end (xcb_colormap_iterator_t i)
void | xcb_atom_next (xcb_atom_iterator_t *i)
xcb_generic_iterator_t | xcb_atom_end (xcb_atom_iterator_t i)
void | xcb_drawable_next (xcb_drawable_iterator_t *i)
xcb_generic_iterator_t | xcb_drawable_end (xcb_drawable_iterator_t i)
void | xcb_fontable_next (xcb_fontable_iterator_t *i)
xcb_generic_iterator_t | xcb_fontable_end (xcb_fontable_iterator_t i)
void | xcb_visualid_next (xcb_visualid_iterator_t *i)
xcb_generic_iterator_t | xcb_visualid_end (xcb_visualid_iterator_t i)
void | xcb_timestamp_next (xcb_timestamp_iterator_t *i)
xcb_generic_iterator_t | xcb_timestamp_end (xcb_timestamp_iterator_t i)
void | xcb_keysym_next (xcb_keysym_iterator_t *i)
xcb_generic_iterator_t | xcb_keysym_end (xcb_keysym_iterator_t i)
void | xcb_keycode_next (xcb_keycode_iterator_t *i)
xcb_generic_iterator_t | xcb_keycode_end (xcb_keycode_iterator_t i)
void | xcb_button_next (xcb_button_iterator_t *i)
xcb_generic_iterator_t | xcb_button_end (xcb_button_iterator_t i)
void | xcb_point_next (xcb_point_iterator_t *i)
xcb_generic_iterator_t | xcb_point_end (xcb_point_iterator_t i)
void | xcb_rectangle_next (xcb_rectangle_iterator_t *i)
xcb_generic_iterator_t | xcb_rectangle_end (xcb_rectangle_iterator_t i)
void | xcb_arc_next (xcb_arc_iterator_t *i)
xcb_generic_iterator_t | xcb_arc_end (xcb_arc_iterator_t i)
void | xcb_format_next (xcb_format_iterator_t *i)
xcb_generic_iterator_t | xcb_format_end (xcb_format_iterator_t i)
void | xcb_visualtype_next (xcb_visualtype_iterator_t *i)
xcb_generic_iterator_t | xcb_visualtype_end (xcb_visualtype_iterator_t i)
xcb_visualtype_t * | xcb_depth_visuals (const xcb_depth_t *R)
int | xcb_depth_visuals_length (const xcb_depth_t *R)
xcb_visualtype_iterator_t | xcb_depth_visuals_iterator (const xcb_depth_t *R)
void | xcb_depth_next (xcb_depth_iterator_t *i)
xcb_generic_iterator_t | xcb_depth_end (xcb_depth_iterator_t i)
int | xcb_screen_allowed_depths_length (const xcb_screen_t *R)
xcb_depth_iterator_t | xcb_screen_allowed_depths_iterator (const xcb_screen_t *R)
void | xcb_screen_next (xcb_screen_iterator_t *i)
xcb_generic_iterator_t | xcb_screen_end (xcb_screen_iterator_t i)
char * | xcb_setup_request_authorization_protocol_name (const xcb_setup_request_t *R)
int | xcb_setup_request_authorization_protocol_name_length (const xcb_setup_request_t *R)
xcb_generic_iterator_t | xcb_setup_request_authorization_protocol_name_end (const xcb_setup_request_t *R)
char * | xcb_setup_request_authorization_protocol_data (const xcb_setup_request_t *R)
int | xcb_setup_request_authorization_protocol_data_length (const xcb_setup_request_t *R)
xcb_generic_iterator_t | xcb_setup_request_authorization_protocol_data_end (const xcb_setup_request_t *R)
void | xcb_setup_request_next (xcb_setup_request_iterator_t *i)
xcb_generic_iterator_t | xcb_setup_request_end (xcb_setup_request_iterator_t i)
char * | xcb_setup_failed_reason (const xcb_setup_failed_t *R)
int | xcb_setup_failed_reason_length (const xcb_setup_failed_t *R)
xcb_generic_iterator_t | xcb_setup_failed_reason_end (const xcb_setup_failed_t *R)
void | xcb_setup_failed_next (xcb_setup_failed_iterator_t *i)
xcb_generic_iterator_t | xcb_setup_failed_end (xcb_setup_failed_iterator_t i)
char * | xcb_setup_authenticate_reason (const xcb_setup_authenticate_t *R)
int | xcb_setup_authenticate_reason_length (const xcb_setup_authenticate_t *R)
xcb_generic_iterator_t | xcb_setup_authenticate_reason_end (const xcb_setup_authenticate_t *R)
void | xcb_setup_authenticate_next (xcb_setup_authenticate_iterator_t *i)
xcb_generic_iterator_t | xcb_setup_authenticate_end (xcb_setup_authenticate_iterator_t i)
char * | xcb_setup_vendor (const xcb_setup_t *R)
int | xcb_setup_vendor_length (const xcb_setup_t *R)
xcb_generic_iterator_t | xcb_setup_vendor_end (const xcb_setup_t *R)
xcb_format_t * | xcb_setup_pixmap_formats (const xcb_setup_t *R)
int | xcb_setup_pixmap_formats_length (const xcb_setup_t *R)
xcb_format_iterator_t | xcb_setup_pixmap_formats_iterator (const xcb_setup_t *R)
int | xcb_setup_roots_length (const xcb_setup_t *R)
xcb_screen_iterator_t | xcb_setup_roots_iterator (const xcb_setup_t *R)
void | xcb_setup_next (xcb_setup_iterator_t *i)
xcb_generic_iterator_t | xcb_setup_end (xcb_setup_iterator_t i)
void | xcb_client_message_data_next (xcb_client_message_data_iterator_t *i)
xcb_generic_iterator_t | xcb_client_message_data_end (xcb_client_message_data_iterator_t i)
xcb_void_cookie_t | xcb_create_window_checked (xcb_connection_t *c, uint8_t depth, xcb_window_t wid, xcb_window_t parent, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint16_t _class, xcb_visualid_t visual, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_create_window (xcb_connection_t *c, uint8_t depth, xcb_window_t wid, xcb_window_t parent, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint16_t _class, xcb_visualid_t visual, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_change_window_attributes_checked (xcb_connection_t *c, xcb_window_t window, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_change_window_attributes (xcb_connection_t *c, xcb_window_t window, uint32_t value_mask, const uint32_t *value_list)
xcb_get_window_attributes_cookie_t | xcb_get_window_attributes (xcb_connection_t *c, xcb_window_t window)
xcb_get_window_attributes_cookie_t | xcb_get_window_attributes_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_get_window_attributes_reply_t * | xcb_get_window_attributes_reply (xcb_connection_t *c, xcb_get_window_attributes_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_destroy_window_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_destroy_window (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_destroy_subwindows_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_destroy_subwindows (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_change_save_set_checked (xcb_connection_t *c, uint8_t mode, xcb_window_t window)
xcb_void_cookie_t | xcb_change_save_set (xcb_connection_t *c, uint8_t mode, xcb_window_t window)
xcb_void_cookie_t | xcb_reparent_window_checked (xcb_connection_t *c, xcb_window_t window, xcb_window_t parent, int16_t x, int16_t y)
xcb_void_cookie_t | xcb_reparent_window (xcb_connection_t *c, xcb_window_t window, xcb_window_t parent, int16_t x, int16_t y)
xcb_void_cookie_t | xcb_map_window_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_map_window (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_map_subwindows_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_map_subwindows (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_unmap_window_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_unmap_window (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_unmap_subwindows_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_unmap_subwindows (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_configure_window_checked (xcb_connection_t *c, xcb_window_t window, uint16_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_configure_window (xcb_connection_t *c, xcb_window_t window, uint16_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_circulate_window_checked (xcb_connection_t *c, uint8_t direction, xcb_window_t window)
xcb_void_cookie_t | xcb_circulate_window (xcb_connection_t *c, uint8_t direction, xcb_window_t window)
xcb_get_geometry_cookie_t | xcb_get_geometry (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_get_geometry_cookie_t | xcb_get_geometry_unchecked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_get_geometry_reply_t * | xcb_get_geometry_reply (xcb_connection_t *c, xcb_get_geometry_cookie_t cookie, xcb_generic_error_t **e)
xcb_query_tree_cookie_t | xcb_query_tree (xcb_connection_t *c, xcb_window_t window)
xcb_query_tree_cookie_t | xcb_query_tree_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_window_t * | xcb_query_tree_children (const xcb_query_tree_reply_t *R)
int | xcb_query_tree_children_length (const xcb_query_tree_reply_t *R)
xcb_generic_iterator_t | xcb_query_tree_children_end (const xcb_query_tree_reply_t *R)
xcb_query_tree_reply_t * | xcb_query_tree_reply (xcb_connection_t *c, xcb_query_tree_cookie_t cookie, xcb_generic_error_t **e)
xcb_intern_atom_cookie_t | xcb_intern_atom (xcb_connection_t *c, uint8_t only_if_exists, uint16_t name_len, const char *name)
xcb_intern_atom_cookie_t | xcb_intern_atom_unchecked (xcb_connection_t *c, uint8_t only_if_exists, uint16_t name_len, const char *name)
xcb_intern_atom_reply_t * | xcb_intern_atom_reply (xcb_connection_t *c, xcb_intern_atom_cookie_t cookie, xcb_generic_error_t **e)
xcb_get_atom_name_cookie_t | xcb_get_atom_name (xcb_connection_t *c, xcb_atom_t atom)
xcb_get_atom_name_cookie_t | xcb_get_atom_name_unchecked (xcb_connection_t *c, xcb_atom_t atom)
char * | xcb_get_atom_name_name (const xcb_get_atom_name_reply_t *R)
int | xcb_get_atom_name_name_length (const xcb_get_atom_name_reply_t *R)
xcb_generic_iterator_t | xcb_get_atom_name_name_end (const xcb_get_atom_name_reply_t *R)
xcb_get_atom_name_reply_t * | xcb_get_atom_name_reply (xcb_connection_t *c, xcb_get_atom_name_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_change_property_checked (xcb_connection_t *c, uint8_t mode, xcb_window_t window, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint32_t data_len, const void *data)
xcb_void_cookie_t | xcb_change_property (xcb_connection_t *c, uint8_t mode, xcb_window_t window, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint32_t data_len, const void *data)
xcb_void_cookie_t | xcb_delete_property_checked (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
xcb_void_cookie_t | xcb_delete_property (xcb_connection_t *c, xcb_window_t window, xcb_atom_t property)
xcb_get_property_cookie_t | xcb_get_property (xcb_connection_t *c, uint8_t _delete, xcb_window_t window, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length)
xcb_get_property_cookie_t | xcb_get_property_unchecked (xcb_connection_t *c, uint8_t _delete, xcb_window_t window, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length)
void * | xcb_get_property_value (const xcb_get_property_reply_t *R)
int | xcb_get_property_value_length (const xcb_get_property_reply_t *R)
xcb_generic_iterator_t | xcb_get_property_value_end (const xcb_get_property_reply_t *R)
xcb_get_property_reply_t * | xcb_get_property_reply (xcb_connection_t *c, xcb_get_property_cookie_t cookie, xcb_generic_error_t **e)
xcb_list_properties_cookie_t | xcb_list_properties (xcb_connection_t *c, xcb_window_t window)
xcb_list_properties_cookie_t | xcb_list_properties_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_atom_t * | xcb_list_properties_atoms (const xcb_list_properties_reply_t *R)
int | xcb_list_properties_atoms_length (const xcb_list_properties_reply_t *R)
xcb_generic_iterator_t | xcb_list_properties_atoms_end (const xcb_list_properties_reply_t *R)
xcb_list_properties_reply_t * | xcb_list_properties_reply (xcb_connection_t *c, xcb_list_properties_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_set_selection_owner_checked (xcb_connection_t *c, xcb_window_t owner, xcb_atom_t selection, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_set_selection_owner (xcb_connection_t *c, xcb_window_t owner, xcb_atom_t selection, xcb_timestamp_t time)
xcb_get_selection_owner_cookie_t | xcb_get_selection_owner (xcb_connection_t *c, xcb_atom_t selection)
xcb_get_selection_owner_cookie_t | xcb_get_selection_owner_unchecked (xcb_connection_t *c, xcb_atom_t selection)
xcb_get_selection_owner_reply_t * | xcb_get_selection_owner_reply (xcb_connection_t *c, xcb_get_selection_owner_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_convert_selection_checked (xcb_connection_t *c, xcb_window_t requestor, xcb_atom_t selection, xcb_atom_t target, xcb_atom_t property, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_convert_selection (xcb_connection_t *c, xcb_window_t requestor, xcb_atom_t selection, xcb_atom_t target, xcb_atom_t property, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_send_event_checked (xcb_connection_t *c, uint8_t propagate, xcb_window_t destination, uint32_t event_mask, const char *event)
xcb_void_cookie_t | xcb_send_event (xcb_connection_t *c, uint8_t propagate, xcb_window_t destination, uint32_t event_mask, const char *event)
xcb_grab_pointer_cookie_t | xcb_grab_pointer (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t event_mask, uint8_t pointer_mode, uint8_t keyboard_mode, xcb_window_t confine_to, xcb_cursor_t cursor, xcb_timestamp_t time)
xcb_grab_pointer_cookie_t | xcb_grab_pointer_unchecked (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t event_mask, uint8_t pointer_mode, uint8_t keyboard_mode, xcb_window_t confine_to, xcb_cursor_t cursor, xcb_timestamp_t time)
xcb_grab_pointer_reply_t * | xcb_grab_pointer_reply (xcb_connection_t *c, xcb_grab_pointer_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_ungrab_pointer_checked (xcb_connection_t *c, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_ungrab_pointer (xcb_connection_t *c, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_grab_button_checked (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t event_mask, uint8_t pointer_mode, uint8_t keyboard_mode, xcb_window_t confine_to, xcb_cursor_t cursor, uint8_t button, uint16_t modifiers)
xcb_void_cookie_t | xcb_grab_button (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t event_mask, uint8_t pointer_mode, uint8_t keyboard_mode, xcb_window_t confine_to, xcb_cursor_t cursor, uint8_t button, uint16_t modifiers)
xcb_void_cookie_t | xcb_ungrab_button_checked (xcb_connection_t *c, uint8_t button, xcb_window_t grab_window, uint16_t modifiers)
xcb_void_cookie_t | xcb_ungrab_button (xcb_connection_t *c, uint8_t button, xcb_window_t grab_window, uint16_t modifiers)
xcb_void_cookie_t | xcb_change_active_pointer_grab_checked (xcb_connection_t *c, xcb_cursor_t cursor, xcb_timestamp_t time, uint16_t event_mask)
xcb_void_cookie_t | xcb_change_active_pointer_grab (xcb_connection_t *c, xcb_cursor_t cursor, xcb_timestamp_t time, uint16_t event_mask)
xcb_grab_keyboard_cookie_t | xcb_grab_keyboard (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, xcb_timestamp_t time, uint8_t pointer_mode, uint8_t keyboard_mode)
xcb_grab_keyboard_cookie_t | xcb_grab_keyboard_unchecked (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, xcb_timestamp_t time, uint8_t pointer_mode, uint8_t keyboard_mode)
xcb_grab_keyboard_reply_t * | xcb_grab_keyboard_reply (xcb_connection_t *c, xcb_grab_keyboard_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_ungrab_keyboard_checked (xcb_connection_t *c, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_ungrab_keyboard (xcb_connection_t *c, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_grab_key_checked (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t modifiers, xcb_keycode_t key, uint8_t pointer_mode, uint8_t keyboard_mode)
xcb_void_cookie_t | xcb_grab_key (xcb_connection_t *c, uint8_t owner_events, xcb_window_t grab_window, uint16_t modifiers, xcb_keycode_t key, uint8_t pointer_mode, uint8_t keyboard_mode)
xcb_void_cookie_t | xcb_ungrab_key_checked (xcb_connection_t *c, xcb_keycode_t key, xcb_window_t grab_window, uint16_t modifiers)
xcb_void_cookie_t | xcb_ungrab_key (xcb_connection_t *c, xcb_keycode_t key, xcb_window_t grab_window, uint16_t modifiers)
xcb_void_cookie_t | xcb_allow_events_checked (xcb_connection_t *c, uint8_t mode, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_allow_events (xcb_connection_t *c, uint8_t mode, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_grab_server_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_grab_server (xcb_connection_t *c)
xcb_void_cookie_t | xcb_ungrab_server_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_ungrab_server (xcb_connection_t *c)
xcb_query_pointer_cookie_t | xcb_query_pointer (xcb_connection_t *c, xcb_window_t window)
xcb_query_pointer_cookie_t | xcb_query_pointer_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_query_pointer_reply_t * | xcb_query_pointer_reply (xcb_connection_t *c, xcb_query_pointer_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_timecoord_next (xcb_timecoord_iterator_t *i)
xcb_generic_iterator_t | xcb_timecoord_end (xcb_timecoord_iterator_t i)
xcb_get_motion_events_cookie_t | xcb_get_motion_events (xcb_connection_t *c, xcb_window_t window, xcb_timestamp_t start, xcb_timestamp_t stop)
xcb_get_motion_events_cookie_t | xcb_get_motion_events_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_timestamp_t start, xcb_timestamp_t stop)
xcb_timecoord_t * | xcb_get_motion_events_events (const xcb_get_motion_events_reply_t *R)
int | xcb_get_motion_events_events_length (const xcb_get_motion_events_reply_t *R)
xcb_timecoord_iterator_t | xcb_get_motion_events_events_iterator (const xcb_get_motion_events_reply_t *R)
xcb_get_motion_events_reply_t * | xcb_get_motion_events_reply (xcb_connection_t *c, xcb_get_motion_events_cookie_t cookie, xcb_generic_error_t **e)
xcb_translate_coordinates_cookie_t | xcb_translate_coordinates (xcb_connection_t *c, xcb_window_t src_window, xcb_window_t dst_window, int16_t src_x, int16_t src_y)
xcb_translate_coordinates_cookie_t | xcb_translate_coordinates_unchecked (xcb_connection_t *c, xcb_window_t src_window, xcb_window_t dst_window, int16_t src_x, int16_t src_y)
xcb_translate_coordinates_reply_t * | xcb_translate_coordinates_reply (xcb_connection_t *c, xcb_translate_coordinates_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_warp_pointer_checked (xcb_connection_t *c, xcb_window_t src_window, xcb_window_t dst_window, int16_t src_x, int16_t src_y, uint16_t src_width, uint16_t src_height, int16_t dst_x, int16_t dst_y)
xcb_void_cookie_t | xcb_warp_pointer (xcb_connection_t *c, xcb_window_t src_window, xcb_window_t dst_window, int16_t src_x, int16_t src_y, uint16_t src_width, uint16_t src_height, int16_t dst_x, int16_t dst_y)
xcb_void_cookie_t | xcb_set_input_focus_checked (xcb_connection_t *c, uint8_t revert_to, xcb_window_t focus, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_set_input_focus (xcb_connection_t *c, uint8_t revert_to, xcb_window_t focus, xcb_timestamp_t time)
xcb_get_input_focus_cookie_t | xcb_get_input_focus (xcb_connection_t *c)
xcb_get_input_focus_cookie_t | xcb_get_input_focus_unchecked (xcb_connection_t *c)
xcb_get_input_focus_reply_t * | xcb_get_input_focus_reply (xcb_connection_t *c, xcb_get_input_focus_cookie_t cookie, xcb_generic_error_t **e)
xcb_query_keymap_cookie_t | xcb_query_keymap (xcb_connection_t *c)
xcb_query_keymap_cookie_t | xcb_query_keymap_unchecked (xcb_connection_t *c)
xcb_query_keymap_reply_t * | xcb_query_keymap_reply (xcb_connection_t *c, xcb_query_keymap_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_open_font_checked (xcb_connection_t *c, xcb_font_t fid, uint16_t name_len, const char *name)
xcb_void_cookie_t | xcb_open_font (xcb_connection_t *c, xcb_font_t fid, uint16_t name_len, const char *name)
xcb_void_cookie_t | xcb_close_font_checked (xcb_connection_t *c, xcb_font_t font)
xcb_void_cookie_t | xcb_close_font (xcb_connection_t *c, xcb_font_t font)
void | xcb_fontprop_next (xcb_fontprop_iterator_t *i)
xcb_generic_iterator_t | xcb_fontprop_end (xcb_fontprop_iterator_t i)
void | xcb_charinfo_next (xcb_charinfo_iterator_t *i)
xcb_generic_iterator_t | xcb_charinfo_end (xcb_charinfo_iterator_t i)
xcb_query_font_cookie_t | xcb_query_font (xcb_connection_t *c, xcb_fontable_t font)
xcb_query_font_cookie_t | xcb_query_font_unchecked (xcb_connection_t *c, xcb_fontable_t font)
xcb_fontprop_t * | xcb_query_font_properties (const xcb_query_font_reply_t *R)
int | xcb_query_font_properties_length (const xcb_query_font_reply_t *R)
xcb_fontprop_iterator_t | xcb_query_font_properties_iterator (const xcb_query_font_reply_t *R)
xcb_charinfo_t * | xcb_query_font_char_infos (const xcb_query_font_reply_t *R)
int | xcb_query_font_char_infos_length (const xcb_query_font_reply_t *R)
xcb_charinfo_iterator_t | xcb_query_font_char_infos_iterator (const xcb_query_font_reply_t *R)
xcb_query_font_reply_t * | xcb_query_font_reply (xcb_connection_t *c, xcb_query_font_cookie_t cookie, xcb_generic_error_t **e)
xcb_query_text_extents_cookie_t | xcb_query_text_extents (xcb_connection_t *c, xcb_fontable_t font, uint32_t string_len, const xcb_char2b_t *string)
xcb_query_text_extents_cookie_t | xcb_query_text_extents_unchecked (xcb_connection_t *c, xcb_fontable_t font, uint32_t string_len, const xcb_char2b_t *string)
xcb_query_text_extents_reply_t * | xcb_query_text_extents_reply (xcb_connection_t *c, xcb_query_text_extents_cookie_t cookie, xcb_generic_error_t **e)
char * | xcb_str_name (const xcb_str_t *R)
int | xcb_str_name_length (const xcb_str_t *R)
xcb_generic_iterator_t | xcb_str_name_end (const xcb_str_t *R)
void | xcb_str_next (xcb_str_iterator_t *i)
xcb_generic_iterator_t | xcb_str_end (xcb_str_iterator_t i)
xcb_list_fonts_cookie_t | xcb_list_fonts (xcb_connection_t *c, uint16_t max_names, uint16_t pattern_len, const char *pattern)
xcb_list_fonts_cookie_t | xcb_list_fonts_unchecked (xcb_connection_t *c, uint16_t max_names, uint16_t pattern_len, const char *pattern)
int | xcb_list_fonts_names_length (const xcb_list_fonts_reply_t *R)
xcb_str_iterator_t | xcb_list_fonts_names_iterator (const xcb_list_fonts_reply_t *R)
xcb_list_fonts_reply_t * | xcb_list_fonts_reply (xcb_connection_t *c, xcb_list_fonts_cookie_t cookie, xcb_generic_error_t **e)
xcb_list_fonts_with_info_cookie_t | xcb_list_fonts_with_info (xcb_connection_t *c, uint16_t max_names, uint16_t pattern_len, const char *pattern)
xcb_list_fonts_with_info_cookie_t | xcb_list_fonts_with_info_unchecked (xcb_connection_t *c, uint16_t max_names, uint16_t pattern_len, const char *pattern)
xcb_fontprop_t * | xcb_list_fonts_with_info_properties (const xcb_list_fonts_with_info_reply_t *R)
int | xcb_list_fonts_with_info_properties_length (const xcb_list_fonts_with_info_reply_t *R)
xcb_fontprop_iterator_t | xcb_list_fonts_with_info_properties_iterator (const xcb_list_fonts_with_info_reply_t *R)
char * | xcb_list_fonts_with_info_name (const xcb_list_fonts_with_info_reply_t *R)
int | xcb_list_fonts_with_info_name_length (const xcb_list_fonts_with_info_reply_t *R)
xcb_generic_iterator_t | xcb_list_fonts_with_info_name_end (const xcb_list_fonts_with_info_reply_t *R)
xcb_list_fonts_with_info_reply_t * | xcb_list_fonts_with_info_reply (xcb_connection_t *c, xcb_list_fonts_with_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_set_font_path_checked (xcb_connection_t *c, uint16_t font_qty, uint32_t path_len, const char *path)
xcb_void_cookie_t | xcb_set_font_path (xcb_connection_t *c, uint16_t font_qty, uint32_t path_len, const char *path)
xcb_get_font_path_cookie_t | xcb_get_font_path (xcb_connection_t *c)
xcb_get_font_path_cookie_t | xcb_get_font_path_unchecked (xcb_connection_t *c)
int | xcb_get_font_path_path_length (const xcb_get_font_path_reply_t *R)
xcb_str_iterator_t | xcb_get_font_path_path_iterator (const xcb_get_font_path_reply_t *R)
xcb_get_font_path_reply_t * | xcb_get_font_path_reply (xcb_connection_t *c, xcb_get_font_path_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_create_pixmap_checked (xcb_connection_t *c, uint8_t depth, xcb_pixmap_t pid, xcb_drawable_t drawable, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_create_pixmap (xcb_connection_t *c, uint8_t depth, xcb_pixmap_t pid, xcb_drawable_t drawable, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_free_pixmap_checked (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_void_cookie_t | xcb_free_pixmap (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_void_cookie_t | xcb_create_gc_checked (xcb_connection_t *c, xcb_gcontext_t cid, xcb_drawable_t drawable, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_create_gc (xcb_connection_t *c, xcb_gcontext_t cid, xcb_drawable_t drawable, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_change_gc_checked (xcb_connection_t *c, xcb_gcontext_t gc, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_change_gc (xcb_connection_t *c, xcb_gcontext_t gc, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_copy_gc_checked (xcb_connection_t *c, xcb_gcontext_t src_gc, xcb_gcontext_t dst_gc, uint32_t value_mask)
xcb_void_cookie_t | xcb_copy_gc (xcb_connection_t *c, xcb_gcontext_t src_gc, xcb_gcontext_t dst_gc, uint32_t value_mask)
xcb_void_cookie_t | xcb_set_dashes_checked (xcb_connection_t *c, xcb_gcontext_t gc, uint16_t dash_offset, uint16_t dashes_len, const uint8_t *dashes)
xcb_void_cookie_t | xcb_set_dashes (xcb_connection_t *c, xcb_gcontext_t gc, uint16_t dash_offset, uint16_t dashes_len, const uint8_t *dashes)
xcb_void_cookie_t | xcb_set_clip_rectangles_checked (xcb_connection_t *c, uint8_t ordering, xcb_gcontext_t gc, int16_t clip_x_origin, int16_t clip_y_origin, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_set_clip_rectangles (xcb_connection_t *c, uint8_t ordering, xcb_gcontext_t gc, int16_t clip_x_origin, int16_t clip_y_origin, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_free_gc_checked (xcb_connection_t *c, xcb_gcontext_t gc)
xcb_void_cookie_t | xcb_free_gc (xcb_connection_t *c, xcb_gcontext_t gc)
xcb_void_cookie_t | xcb_clear_area_checked (xcb_connection_t *c, uint8_t exposures, xcb_window_t window, int16_t x, int16_t y, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_clear_area (xcb_connection_t *c, uint8_t exposures, xcb_window_t window, int16_t x, int16_t y, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_copy_area_checked (xcb_connection_t *c, xcb_drawable_t src_drawable, xcb_drawable_t dst_drawable, xcb_gcontext_t gc, int16_t src_x, int16_t src_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_copy_area (xcb_connection_t *c, xcb_drawable_t src_drawable, xcb_drawable_t dst_drawable, xcb_gcontext_t gc, int16_t src_x, int16_t src_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height)
xcb_void_cookie_t | xcb_copy_plane_checked (xcb_connection_t *c, xcb_drawable_t src_drawable, xcb_drawable_t dst_drawable, xcb_gcontext_t gc, int16_t src_x, int16_t src_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height, uint32_t bit_plane)
xcb_void_cookie_t | xcb_copy_plane (xcb_connection_t *c, xcb_drawable_t src_drawable, xcb_drawable_t dst_drawable, xcb_gcontext_t gc, int16_t src_x, int16_t src_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height, uint32_t bit_plane)
xcb_void_cookie_t | xcb_poly_point_checked (xcb_connection_t *c, uint8_t coordinate_mode, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t points_len, const xcb_point_t *points)
xcb_void_cookie_t | xcb_poly_point (xcb_connection_t *c, uint8_t coordinate_mode, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t points_len, const xcb_point_t *points)
xcb_void_cookie_t | xcb_poly_line_checked (xcb_connection_t *c, uint8_t coordinate_mode, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t points_len, const xcb_point_t *points)
xcb_void_cookie_t | xcb_poly_line (xcb_connection_t *c, uint8_t coordinate_mode, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t points_len, const xcb_point_t *points)
void | xcb_segment_next (xcb_segment_iterator_t *i)
xcb_generic_iterator_t | xcb_segment_end (xcb_segment_iterator_t i)
xcb_void_cookie_t | xcb_poly_segment_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t segments_len, const xcb_segment_t *segments)
xcb_void_cookie_t | xcb_poly_segment (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t segments_len, const xcb_segment_t *segments)
xcb_void_cookie_t | xcb_poly_rectangle_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_poly_rectangle (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_poly_arc_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t arcs_len, const xcb_arc_t *arcs)
xcb_void_cookie_t | xcb_poly_arc (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t arcs_len, const xcb_arc_t *arcs)
xcb_void_cookie_t | xcb_fill_poly_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint8_t shape, uint8_t coordinate_mode, uint32_t points_len, const xcb_point_t *points)
xcb_void_cookie_t | xcb_fill_poly (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint8_t shape, uint8_t coordinate_mode, uint32_t points_len, const xcb_point_t *points)
xcb_void_cookie_t | xcb_poly_fill_rectangle_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_poly_fill_rectangle (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_poly_fill_arc_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t arcs_len, const xcb_arc_t *arcs)
xcb_void_cookie_t | xcb_poly_fill_arc (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t arcs_len, const xcb_arc_t *arcs)
xcb_void_cookie_t | xcb_put_image_checked (xcb_connection_t *c, uint8_t format, xcb_drawable_t drawable, xcb_gcontext_t gc, uint16_t width, uint16_t height, int16_t dst_x, int16_t dst_y, uint8_t left_pad, uint8_t depth, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_put_image (xcb_connection_t *c, uint8_t format, xcb_drawable_t drawable, xcb_gcontext_t gc, uint16_t width, uint16_t height, int16_t dst_x, int16_t dst_y, uint8_t left_pad, uint8_t depth, uint32_t data_len, const uint8_t *data)
xcb_get_image_cookie_t | xcb_get_image (xcb_connection_t *c, uint8_t format, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint32_t plane_mask)
xcb_get_image_cookie_t | xcb_get_image_unchecked (xcb_connection_t *c, uint8_t format, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint32_t plane_mask)
uint8_t * | xcb_get_image_data (const xcb_get_image_reply_t *R)
int | xcb_get_image_data_length (const xcb_get_image_reply_t *R)
xcb_generic_iterator_t | xcb_get_image_data_end (const xcb_get_image_reply_t *R)
xcb_get_image_reply_t * | xcb_get_image_reply (xcb_connection_t *c, xcb_get_image_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_poly_text_8_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, uint32_t items_len, const uint8_t *items)
xcb_void_cookie_t | xcb_poly_text_8 (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, uint32_t items_len, const uint8_t *items)
xcb_void_cookie_t | xcb_poly_text_16_checked (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, uint32_t items_len, const uint8_t *items)
xcb_void_cookie_t | xcb_poly_text_16 (xcb_connection_t *c, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, uint32_t items_len, const uint8_t *items)
xcb_void_cookie_t | xcb_image_text_8_checked (xcb_connection_t *c, uint8_t string_len, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, const char *string)
xcb_void_cookie_t | xcb_image_text_8 (xcb_connection_t *c, uint8_t string_len, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, const char *string)
xcb_void_cookie_t | xcb_image_text_16_checked (xcb_connection_t *c, uint8_t string_len, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, const xcb_char2b_t *string)
xcb_void_cookie_t | xcb_image_text_16 (xcb_connection_t *c, uint8_t string_len, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t x, int16_t y, const xcb_char2b_t *string)
xcb_void_cookie_t | xcb_create_colormap_checked (xcb_connection_t *c, uint8_t alloc, xcb_colormap_t mid, xcb_window_t window, xcb_visualid_t visual)
xcb_void_cookie_t | xcb_create_colormap (xcb_connection_t *c, uint8_t alloc, xcb_colormap_t mid, xcb_window_t window, xcb_visualid_t visual)
xcb_void_cookie_t | xcb_free_colormap_checked (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_void_cookie_t | xcb_free_colormap (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_void_cookie_t | xcb_copy_colormap_and_free_checked (xcb_connection_t *c, xcb_colormap_t mid, xcb_colormap_t src_cmap)
xcb_void_cookie_t | xcb_copy_colormap_and_free (xcb_connection_t *c, xcb_colormap_t mid, xcb_colormap_t src_cmap)
xcb_void_cookie_t | xcb_install_colormap_checked (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_void_cookie_t | xcb_install_colormap (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_void_cookie_t | xcb_uninstall_colormap_checked (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_void_cookie_t | xcb_uninstall_colormap (xcb_connection_t *c, xcb_colormap_t cmap)
xcb_list_installed_colormaps_cookie_t | xcb_list_installed_colormaps (xcb_connection_t *c, xcb_window_t window)
xcb_list_installed_colormaps_cookie_t | xcb_list_installed_colormaps_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_colormap_t * | xcb_list_installed_colormaps_cmaps (const xcb_list_installed_colormaps_reply_t *R)
int | xcb_list_installed_colormaps_cmaps_length (const xcb_list_installed_colormaps_reply_t *R)
xcb_generic_iterator_t | xcb_list_installed_colormaps_cmaps_end (const xcb_list_installed_colormaps_reply_t *R)
xcb_list_installed_colormaps_reply_t * | xcb_list_installed_colormaps_reply (xcb_connection_t *c, xcb_list_installed_colormaps_cookie_t cookie, xcb_generic_error_t **e)
xcb_alloc_color_cookie_t | xcb_alloc_color (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t red, uint16_t green, uint16_t blue)
xcb_alloc_color_cookie_t | xcb_alloc_color_unchecked (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t red, uint16_t green, uint16_t blue)
xcb_alloc_color_reply_t * | xcb_alloc_color_reply (xcb_connection_t *c, xcb_alloc_color_cookie_t cookie, xcb_generic_error_t **e)
xcb_alloc_named_color_cookie_t | xcb_alloc_named_color (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t name_len, const char *name)
xcb_alloc_named_color_cookie_t | xcb_alloc_named_color_unchecked (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t name_len, const char *name)
xcb_alloc_named_color_reply_t * | xcb_alloc_named_color_reply (xcb_connection_t *c, xcb_alloc_named_color_cookie_t cookie, xcb_generic_error_t **e)
xcb_alloc_color_cells_cookie_t | xcb_alloc_color_cells (xcb_connection_t *c, uint8_t contiguous, xcb_colormap_t cmap, uint16_t colors, uint16_t planes)
xcb_alloc_color_cells_cookie_t | xcb_alloc_color_cells_unchecked (xcb_connection_t *c, uint8_t contiguous, xcb_colormap_t cmap, uint16_t colors, uint16_t planes)
uint32_t * | xcb_alloc_color_cells_pixels (const xcb_alloc_color_cells_reply_t *R)
int | xcb_alloc_color_cells_pixels_length (const xcb_alloc_color_cells_reply_t *R)
xcb_generic_iterator_t | xcb_alloc_color_cells_pixels_end (const xcb_alloc_color_cells_reply_t *R)
uint32_t * | xcb_alloc_color_cells_masks (const xcb_alloc_color_cells_reply_t *R)
int | xcb_alloc_color_cells_masks_length (const xcb_alloc_color_cells_reply_t *R)
xcb_generic_iterator_t | xcb_alloc_color_cells_masks_end (const xcb_alloc_color_cells_reply_t *R)
xcb_alloc_color_cells_reply_t * | xcb_alloc_color_cells_reply (xcb_connection_t *c, xcb_alloc_color_cells_cookie_t cookie, xcb_generic_error_t **e)
xcb_alloc_color_planes_cookie_t | xcb_alloc_color_planes (xcb_connection_t *c, uint8_t contiguous, xcb_colormap_t cmap, uint16_t colors, uint16_t reds, uint16_t greens, uint16_t blues)
xcb_alloc_color_planes_cookie_t | xcb_alloc_color_planes_unchecked (xcb_connection_t *c, uint8_t contiguous, xcb_colormap_t cmap, uint16_t colors, uint16_t reds, uint16_t greens, uint16_t blues)
uint32_t * | xcb_alloc_color_planes_pixels (const xcb_alloc_color_planes_reply_t *R)
int | xcb_alloc_color_planes_pixels_length (const xcb_alloc_color_planes_reply_t *R)
xcb_generic_iterator_t | xcb_alloc_color_planes_pixels_end (const xcb_alloc_color_planes_reply_t *R)
xcb_alloc_color_planes_reply_t * | xcb_alloc_color_planes_reply (xcb_connection_t *c, xcb_alloc_color_planes_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_free_colors_checked (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t plane_mask, uint32_t pixels_len, const uint32_t *pixels)
xcb_void_cookie_t | xcb_free_colors (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t plane_mask, uint32_t pixels_len, const uint32_t *pixels)
void | xcb_coloritem_next (xcb_coloritem_iterator_t *i)
xcb_generic_iterator_t | xcb_coloritem_end (xcb_coloritem_iterator_t i)
xcb_void_cookie_t | xcb_store_colors_checked (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t items_len, const xcb_coloritem_t *items)
xcb_void_cookie_t | xcb_store_colors (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t items_len, const xcb_coloritem_t *items)
xcb_void_cookie_t | xcb_store_named_color_checked (xcb_connection_t *c, uint8_t flags, xcb_colormap_t cmap, uint32_t pixel, uint16_t name_len, const char *name)
xcb_void_cookie_t | xcb_store_named_color (xcb_connection_t *c, uint8_t flags, xcb_colormap_t cmap, uint32_t pixel, uint16_t name_len, const char *name)
void | xcb_rgb_next (xcb_rgb_iterator_t *i)
xcb_generic_iterator_t | xcb_rgb_end (xcb_rgb_iterator_t i)
xcb_query_colors_cookie_t | xcb_query_colors (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t pixels_len, const uint32_t *pixels)
xcb_query_colors_cookie_t | xcb_query_colors_unchecked (xcb_connection_t *c, xcb_colormap_t cmap, uint32_t pixels_len, const uint32_t *pixels)
xcb_rgb_t * | xcb_query_colors_colors (const xcb_query_colors_reply_t *R)
int | xcb_query_colors_colors_length (const xcb_query_colors_reply_t *R)
xcb_rgb_iterator_t | xcb_query_colors_colors_iterator (const xcb_query_colors_reply_t *R)
xcb_query_colors_reply_t * | xcb_query_colors_reply (xcb_connection_t *c, xcb_query_colors_cookie_t cookie, xcb_generic_error_t **e)
xcb_lookup_color_cookie_t | xcb_lookup_color (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t name_len, const char *name)
xcb_lookup_color_cookie_t | xcb_lookup_color_unchecked (xcb_connection_t *c, xcb_colormap_t cmap, uint16_t name_len, const char *name)
xcb_lookup_color_reply_t * | xcb_lookup_color_reply (xcb_connection_t *c, xcb_lookup_color_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_create_cursor_checked (xcb_connection_t *c, xcb_cursor_t cid, xcb_pixmap_t source, xcb_pixmap_t mask, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue, uint16_t x, uint16_t y)
xcb_void_cookie_t | xcb_create_cursor (xcb_connection_t *c, xcb_cursor_t cid, xcb_pixmap_t source, xcb_pixmap_t mask, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue, uint16_t x, uint16_t y)
xcb_void_cookie_t | xcb_create_glyph_cursor_checked (xcb_connection_t *c, xcb_cursor_t cid, xcb_font_t source_font, xcb_font_t mask_font, uint16_t source_char, uint16_t mask_char, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue)
xcb_void_cookie_t | xcb_create_glyph_cursor (xcb_connection_t *c, xcb_cursor_t cid, xcb_font_t source_font, xcb_font_t mask_font, uint16_t source_char, uint16_t mask_char, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue)
xcb_void_cookie_t | xcb_free_cursor_checked (xcb_connection_t *c, xcb_cursor_t cursor)
xcb_void_cookie_t | xcb_free_cursor (xcb_connection_t *c, xcb_cursor_t cursor)
xcb_void_cookie_t | xcb_recolor_cursor_checked (xcb_connection_t *c, xcb_cursor_t cursor, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue)
xcb_void_cookie_t | xcb_recolor_cursor (xcb_connection_t *c, xcb_cursor_t cursor, uint16_t fore_red, uint16_t fore_green, uint16_t fore_blue, uint16_t back_red, uint16_t back_green, uint16_t back_blue)
xcb_query_best_size_cookie_t | xcb_query_best_size (xcb_connection_t *c, uint8_t _class, xcb_drawable_t drawable, uint16_t width, uint16_t height)
xcb_query_best_size_cookie_t | xcb_query_best_size_unchecked (xcb_connection_t *c, uint8_t _class, xcb_drawable_t drawable, uint16_t width, uint16_t height)
xcb_query_best_size_reply_t * | xcb_query_best_size_reply (xcb_connection_t *c, xcb_query_best_size_cookie_t cookie, xcb_generic_error_t **e)
xcb_query_extension_cookie_t | xcb_query_extension (xcb_connection_t *c, uint16_t name_len, const char *name)
xcb_query_extension_cookie_t | xcb_query_extension_unchecked (xcb_connection_t *c, uint16_t name_len, const char *name)
xcb_query_extension_reply_t * | xcb_query_extension_reply (xcb_connection_t *c, xcb_query_extension_cookie_t cookie, xcb_generic_error_t **e)
xcb_list_extensions_cookie_t | xcb_list_extensions (xcb_connection_t *c)
xcb_list_extensions_cookie_t | xcb_list_extensions_unchecked (xcb_connection_t *c)
int | xcb_list_extensions_names_length (const xcb_list_extensions_reply_t *R)
xcb_str_iterator_t | xcb_list_extensions_names_iterator (const xcb_list_extensions_reply_t *R)
xcb_list_extensions_reply_t * | xcb_list_extensions_reply (xcb_connection_t *c, xcb_list_extensions_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_change_keyboard_mapping_checked (xcb_connection_t *c, uint8_t keycode_count, xcb_keycode_t first_keycode, uint8_t keysyms_per_keycode, const xcb_keysym_t *keysyms)
xcb_void_cookie_t | xcb_change_keyboard_mapping (xcb_connection_t *c, uint8_t keycode_count, xcb_keycode_t first_keycode, uint8_t keysyms_per_keycode, const xcb_keysym_t *keysyms)
xcb_get_keyboard_mapping_cookie_t | xcb_get_keyboard_mapping (xcb_connection_t *c, xcb_keycode_t first_keycode, uint8_t count)
xcb_get_keyboard_mapping_cookie_t | xcb_get_keyboard_mapping_unchecked (xcb_connection_t *c, xcb_keycode_t first_keycode, uint8_t count)
xcb_keysym_t * | xcb_get_keyboard_mapping_keysyms (const xcb_get_keyboard_mapping_reply_t *R)
int | xcb_get_keyboard_mapping_keysyms_length (const xcb_get_keyboard_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_get_keyboard_mapping_keysyms_end (const xcb_get_keyboard_mapping_reply_t *R)
xcb_get_keyboard_mapping_reply_t * | xcb_get_keyboard_mapping_reply (xcb_connection_t *c, xcb_get_keyboard_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_change_keyboard_control_checked (xcb_connection_t *c, uint32_t value_mask, const uint32_t *value_list)
xcb_void_cookie_t | xcb_change_keyboard_control (xcb_connection_t *c, uint32_t value_mask, const uint32_t *value_list)
xcb_get_keyboard_control_cookie_t | xcb_get_keyboard_control (xcb_connection_t *c)
xcb_get_keyboard_control_cookie_t | xcb_get_keyboard_control_unchecked (xcb_connection_t *c)
xcb_get_keyboard_control_reply_t * | xcb_get_keyboard_control_reply (xcb_connection_t *c, xcb_get_keyboard_control_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_bell_checked (xcb_connection_t *c, int8_t percent)
xcb_void_cookie_t | xcb_bell (xcb_connection_t *c, int8_t percent)
xcb_void_cookie_t | xcb_change_pointer_control_checked (xcb_connection_t *c, int16_t acceleration_numerator, int16_t acceleration_denominator, int16_t threshold, uint8_t do_acceleration, uint8_t do_threshold)
xcb_void_cookie_t | xcb_change_pointer_control (xcb_connection_t *c, int16_t acceleration_numerator, int16_t acceleration_denominator, int16_t threshold, uint8_t do_acceleration, uint8_t do_threshold)
xcb_get_pointer_control_cookie_t | xcb_get_pointer_control (xcb_connection_t *c)
xcb_get_pointer_control_cookie_t | xcb_get_pointer_control_unchecked (xcb_connection_t *c)
xcb_get_pointer_control_reply_t * | xcb_get_pointer_control_reply (xcb_connection_t *c, xcb_get_pointer_control_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_set_screen_saver_checked (xcb_connection_t *c, int16_t timeout, int16_t interval, uint8_t prefer_blanking, uint8_t allow_exposures)
xcb_void_cookie_t | xcb_set_screen_saver (xcb_connection_t *c, int16_t timeout, int16_t interval, uint8_t prefer_blanking, uint8_t allow_exposures)
xcb_get_screen_saver_cookie_t | xcb_get_screen_saver (xcb_connection_t *c)
xcb_get_screen_saver_cookie_t | xcb_get_screen_saver_unchecked (xcb_connection_t *c)
xcb_get_screen_saver_reply_t * | xcb_get_screen_saver_reply (xcb_connection_t *c, xcb_get_screen_saver_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_change_hosts_checked (xcb_connection_t *c, uint8_t mode, uint8_t family, uint16_t address_len, const char *address)
xcb_void_cookie_t | xcb_change_hosts (xcb_connection_t *c, uint8_t mode, uint8_t family, uint16_t address_len, const char *address)
uint8_t * | xcb_host_address (const xcb_host_t *R)
int | xcb_host_address_length (const xcb_host_t *R)
xcb_generic_iterator_t | xcb_host_address_end (const xcb_host_t *R)
void | xcb_host_next (xcb_host_iterator_t *i)
xcb_generic_iterator_t | xcb_host_end (xcb_host_iterator_t i)
xcb_list_hosts_cookie_t | xcb_list_hosts (xcb_connection_t *c)
xcb_list_hosts_cookie_t | xcb_list_hosts_unchecked (xcb_connection_t *c)
int | xcb_list_hosts_hosts_length (const xcb_list_hosts_reply_t *R)
xcb_host_iterator_t | xcb_list_hosts_hosts_iterator (const xcb_list_hosts_reply_t *R)
xcb_list_hosts_reply_t * | xcb_list_hosts_reply (xcb_connection_t *c, xcb_list_hosts_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_set_access_control_checked (xcb_connection_t *c, uint8_t mode)
xcb_void_cookie_t | xcb_set_access_control (xcb_connection_t *c, uint8_t mode)
xcb_void_cookie_t | xcb_set_close_down_mode_checked (xcb_connection_t *c, uint8_t mode)
xcb_void_cookie_t | xcb_set_close_down_mode (xcb_connection_t *c, uint8_t mode)
xcb_void_cookie_t | xcb_kill_client_checked (xcb_connection_t *c, uint32_t resource)
xcb_void_cookie_t | xcb_kill_client (xcb_connection_t *c, uint32_t resource)
xcb_void_cookie_t | xcb_rotate_properties_checked (xcb_connection_t *c, xcb_window_t window, uint16_t atoms_len, int16_t delta, const xcb_atom_t *atoms)
xcb_void_cookie_t | xcb_rotate_properties (xcb_connection_t *c, xcb_window_t window, uint16_t atoms_len, int16_t delta, const xcb_atom_t *atoms)
xcb_void_cookie_t | xcb_force_screen_saver_checked (xcb_connection_t *c, uint8_t mode)
xcb_void_cookie_t | xcb_force_screen_saver (xcb_connection_t *c, uint8_t mode)
xcb_set_pointer_mapping_cookie_t | xcb_set_pointer_mapping (xcb_connection_t *c, uint8_t map_len, const uint8_t *map)
xcb_set_pointer_mapping_cookie_t | xcb_set_pointer_mapping_unchecked (xcb_connection_t *c, uint8_t map_len, const uint8_t *map)
xcb_set_pointer_mapping_reply_t * | xcb_set_pointer_mapping_reply (xcb_connection_t *c, xcb_set_pointer_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_get_pointer_mapping_cookie_t | xcb_get_pointer_mapping (xcb_connection_t *c)
xcb_get_pointer_mapping_cookie_t | xcb_get_pointer_mapping_unchecked (xcb_connection_t *c)
uint8_t * | xcb_get_pointer_mapping_map (const xcb_get_pointer_mapping_reply_t *R)
int | xcb_get_pointer_mapping_map_length (const xcb_get_pointer_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_get_pointer_mapping_map_end (const xcb_get_pointer_mapping_reply_t *R)
xcb_get_pointer_mapping_reply_t * | xcb_get_pointer_mapping_reply (xcb_connection_t *c, xcb_get_pointer_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_set_modifier_mapping_cookie_t | xcb_set_modifier_mapping (xcb_connection_t *c, uint8_t keycodes_per_modifier, const xcb_keycode_t *keycodes)
xcb_set_modifier_mapping_cookie_t | xcb_set_modifier_mapping_unchecked (xcb_connection_t *c, uint8_t keycodes_per_modifier, const xcb_keycode_t *keycodes)
xcb_set_modifier_mapping_reply_t * | xcb_set_modifier_mapping_reply (xcb_connection_t *c, xcb_set_modifier_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_get_modifier_mapping_cookie_t | xcb_get_modifier_mapping (xcb_connection_t *c)
xcb_get_modifier_mapping_cookie_t | xcb_get_modifier_mapping_unchecked (xcb_connection_t *c)
xcb_keycode_t * | xcb_get_modifier_mapping_keycodes (const xcb_get_modifier_mapping_reply_t *R)
int | xcb_get_modifier_mapping_keycodes_length (const xcb_get_modifier_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_get_modifier_mapping_keycodes_end (const xcb_get_modifier_mapping_reply_t *R)
xcb_get_modifier_mapping_reply_t * | xcb_get_modifier_mapping_reply (xcb_connection_t *c, xcb_get_modifier_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_no_operation_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_no_operation (xcb_connection_t *c)

## Detailed Description

XCB Protocol Implementation.

## Define Documentation

#define XCB_ACCESS 10

Opcode for xcb_access.

#define XCB_ALLOC 11

Opcode for xcb_alloc.

#define XCB_ALLOC_COLOR 84

Opcode for xcb_alloc_color.

#define XCB_ALLOC_COLOR_CELLS 86

Opcode for xcb_alloc_color_cells.

#define XCB_ALLOC_COLOR_PLANES 87

Opcode for xcb_alloc_color_planes.

#define XCB_ALLOC_NAMED_COLOR 85

Opcode for xcb_alloc_named_color.

#define XCB_ALLOW_EVENTS 35

Opcode for xcb_allow_events.

#define XCB_ATOM 5

Opcode for xcb_atom.

#define XCB_BELL 104

Opcode for xcb_bell.

#define XCB_BUTTON_PRESS 4

Opcode for xcb_button_press.

#define XCB_BUTTON_RELEASE 5

Opcode for xcb_button_release.

#define XCB_CHANGE_ACTIVE_POINTER_GRAB 30

Opcode for xcb_change_active_pointer_grab.

#define XCB_CHANGE_GC 56

Opcode for xcb_change_gc.

#define XCB_CHANGE_HOSTS 109

Opcode for xcb_change_hosts.

#define XCB_CHANGE_KEYBOARD_CONTROL 102

Opcode for xcb_change_keyboard_control.

#define XCB_CHANGE_KEYBOARD_MAPPING 100

Opcode for xcb_change_keyboard_mapping.

#define XCB_CHANGE_POINTER_CONTROL 105

Opcode for xcb_change_pointer_control.

#define XCB_CHANGE_PROPERTY 18

Opcode for xcb_change_property.

#define XCB_CHANGE_SAVE_SET 6

Opcode for xcb_change_save_set.

#define XCB_CHANGE_WINDOW_ATTRIBUTES 2

Opcode for xcb_change_window_attributes.

#define XCB_CIRCULATE_NOTIFY 26

Opcode for xcb_circulate_notify.

#define XCB_CIRCULATE_REQUEST 27

Opcode for xcb_circulate_request.

#define XCB_CIRCULATE_WINDOW 13

Opcode for xcb_circulate_window.

#define XCB_CLEAR_AREA 61

Opcode for xcb_clear_area.

#define XCB_CLIENT_MESSAGE 33

Opcode for xcb_client_message.

#define XCB_CLOSE_FONT 46

Opcode for xcb_close_font.

#define XCB_COLORMAP 12

Opcode for xcb_colormap.

#define XCB_COLORMAP_NOTIFY 32

Opcode for xcb_colormap_notify.

#define XCB_CONFIGURE_NOTIFY 22

Opcode for xcb_configure_notify.

#define XCB_CONFIGURE_REQUEST 23

Opcode for xcb_configure_request.

#define XCB_CONFIGURE_WINDOW 12

Opcode for xcb_configure_window.

#define XCB_CONVERT_SELECTION 24

Opcode for xcb_convert_selection.

#define XCB_COPY_AREA 62

Opcode for xcb_copy_area.

#define XCB_COPY_COLORMAP_AND_FREE 80

Opcode for xcb_copy_colormap_and_free.

#define XCB_COPY_GC 57

Opcode for xcb_copy_gc.

#define XCB_COPY_PLANE 63

Opcode for xcb_copy_plane.

#define XCB_CREATE_COLORMAP 78

Opcode for xcb_create_colormap.

#define XCB_CREATE_CURSOR 93

Opcode for xcb_create_cursor.

#define XCB_CREATE_GC 55

Opcode for xcb_create_gc.

#define XCB_CREATE_GLYPH_CURSOR 94

Opcode for xcb_create_glyph_cursor.

#define XCB_CREATE_NOTIFY 16

Opcode for xcb_create_notify.

#define XCB_CREATE_PIXMAP 53

Opcode for xcb_create_pixmap.

#define XCB_CREATE_WINDOW 1

Opcode for xcb_create_window.

#define XCB_CURSOR 6

Opcode for xcb_cursor.

#define XCB_DELETE_PROPERTY 19

Opcode for xcb_delete_property.

#define XCB_DESTROY_NOTIFY 17

Opcode for xcb_destroy_notify.

#define XCB_DESTROY_SUBWINDOWS 5

Opcode for xcb_destroy_subwindows.

#define XCB_DESTROY_WINDOW 4

Opcode for xcb_destroy_window.

#define XCB_DRAWABLE 9

Opcode for xcb_drawable.

#define XCB_ENTER_NOTIFY 7

Opcode for xcb_enter_notify.

#define XCB_EXPOSE 12

Opcode for xcb_expose.

#define XCB_FILL_POLY 69

Opcode for xcb_fill_poly.

#define XCB_FOCUS_IN 9

Opcode for xcb_focus_in.

#define XCB_FOCUS_OUT 10

Opcode for xcb_focus_out.

#define XCB_FONT 7

Opcode for xcb_font.

#define XCB_FORCE_SCREEN_SAVER 115

Opcode for xcb_force_screen_saver.

#define XCB_FREE_COLORMAP 79

Opcode for xcb_free_colormap.

#define XCB_FREE_COLORS 88

Opcode for xcb_free_colors.

#define XCB_FREE_CURSOR 95

Opcode for xcb_free_cursor.

#define XCB_FREE_GC 60

Opcode for xcb_free_gc.

#define XCB_FREE_PIXMAP 54

Opcode for xcb_free_pixmap.

#define XCB_G_CONTEXT 13

Opcode for xcb_g_context.

#define XCB_GET_ATOM_NAME 17

Opcode for xcb_get_atom_name.

#define XCB_GET_FONT_PATH 52

Opcode for xcb_get_font_path.

#define XCB_GET_GEOMETRY 14

Opcode for xcb_get_geometry.

#define XCB_GET_IMAGE 73

Opcode for xcb_get_image.

#define XCB_GET_INPUT_FOCUS 43

Opcode for xcb_get_input_focus.

#define XCB_GET_KEYBOARD_CONTROL 103

Opcode for xcb_get_keyboard_control.

#define XCB_GET_KEYBOARD_MAPPING 101

Opcode for xcb_get_keyboard_mapping.

#define XCB_GET_MODIFIER_MAPPING 119

Opcode for xcb_get_modifier_mapping.

#define XCB_GET_MOTION_EVENTS 39

Opcode for xcb_get_motion_events.

#define XCB_GET_POINTER_CONTROL 106

Opcode for xcb_get_pointer_control.

#define XCB_GET_POINTER_MAPPING 117

Opcode for xcb_get_pointer_mapping.

#define XCB_GET_PROPERTY 20

Opcode for xcb_get_property.

#define XCB_GET_SCREEN_SAVER 108

Opcode for xcb_get_screen_saver.

#define XCB_GET_SELECTION_OWNER 23

Opcode for xcb_get_selection_owner.

#define XCB_GET_WINDOW_ATTRIBUTES 3

Opcode for xcb_get_window_attributes.

#define XCB_GRAB_BUTTON 28

Opcode for xcb_grab_button.

#define XCB_GRAB_KEY 33

Opcode for xcb_grab_key.

#define XCB_GRAB_KEYBOARD 31

Opcode for xcb_grab_keyboard.

#define XCB_GRAB_POINTER 26

Opcode for xcb_grab_pointer.

#define XCB_GRAB_SERVER 36

Opcode for xcb_grab_server.

#define XCB_GRAPHICS_EXPOSURE 13

Opcode for xcb_graphics_exposure.

#define XCB_GRAVITY_NOTIFY 24

Opcode for xcb_gravity_notify.

#define XCB_ID_CHOICE 14

Opcode for xcb_id_choice.

#define XCB_IMAGE_TEXT_16 77

Opcode for xcb_image_text_16.

#define XCB_IMAGE_TEXT_8 76

Opcode for xcb_image_text_8.

#define XCB_IMPLEMENTATION 17

Opcode for xcb_implementation.

#define XCB_INSTALL_COLORMAP 81

Opcode for xcb_install_colormap.

#define XCB_INTERN_ATOM 16

Opcode for xcb_intern_atom.

#define XCB_KEY_PRESS 2

Opcode for xcb_key_press.

#define XCB_KEY_RELEASE 3

Opcode for xcb_key_release.

#define XCB_KEYMAP_NOTIFY 11

Opcode for xcb_keymap_notify.

#define XCB_KILL_CLIENT 113

Opcode for xcb_kill_client.

#define XCB_LEAVE_NOTIFY 8

Opcode for xcb_leave_notify.

#define XCB_LENGTH 16

Opcode for xcb_length.

#define XCB_LIST_EXTENSIONS 99

Opcode for xcb_list_extensions.

#define XCB_LIST_FONTS 49

Opcode for xcb_list_fonts.

#define XCB_LIST_FONTS_WITH_INFO 50

Opcode for xcb_list_fonts_with_info.

#define XCB_LIST_HOSTS 110

Opcode for xcb_list_hosts.

#define XCB_LIST_INSTALLED_COLORMAPS 83

Opcode for xcb_list_installed_colormaps.

#define XCB_LIST_PROPERTIES 21

Opcode for xcb_list_properties.

#define XCB_LOOKUP_COLOR 92

Opcode for xcb_lookup_color.

#define XCB_MAP_NOTIFY 19

Opcode for xcb_map_notify.

#define XCB_MAP_REQUEST 20

Opcode for xcb_map_request.

#define XCB_MAP_SUBWINDOWS 9

Opcode for xcb_map_subwindows.

#define XCB_MAP_WINDOW 8

Opcode for xcb_map_window.

#define XCB_MAPPING_NOTIFY 34

Opcode for xcb_mapping_notify.

#define XCB_MATCH 8

Opcode for xcb_match.

#define XCB_MOTION_NOTIFY 6

Opcode for xcb_motion_notify.

#define XCB_NAME 15

Opcode for xcb_name.

#define XCB_NO_EXPOSURE 14

Opcode for xcb_no_exposure.

#define XCB_NO_OPERATION 127

Opcode for xcb_no_operation.

#define XCB_OPEN_FONT 45

Opcode for xcb_open_font.

#define XCB_PIXMAP 4

Opcode for xcb_pixmap.

#define XCB_POLY_ARC 68

Opcode for xcb_poly_arc.

#define XCB_POLY_FILL_ARC 71

Opcode for xcb_poly_fill_arc.

#define XCB_POLY_FILL_RECTANGLE 70

Opcode for xcb_poly_fill_rectangle.

#define XCB_POLY_LINE 65

Opcode for xcb_poly_line.

#define XCB_POLY_POINT 64

Opcode for xcb_poly_point.

#define XCB_POLY_RECTANGLE 67

Opcode for xcb_poly_rectangle.

#define XCB_POLY_SEGMENT 66

Opcode for xcb_poly_segment.

#define XCB_POLY_TEXT_16 75

Opcode for xcb_poly_text_16.

#define XCB_POLY_TEXT_8 74

Opcode for xcb_poly_text_8.

#define XCB_PROPERTY_NOTIFY 28

Opcode for xcb_property_notify.

#define XCB_PUT_IMAGE 72

Opcode for xcb_put_image.

#define XCB_QUERY_BEST_SIZE 97

Opcode for xcb_query_best_size.

#define XCB_QUERY_COLORS 91

Opcode for xcb_query_colors.

#define XCB_QUERY_EXTENSION 98

Opcode for xcb_query_extension.

#define XCB_QUERY_FONT 47

Opcode for xcb_query_font.

#define XCB_QUERY_KEYMAP 44

Opcode for xcb_query_keymap.

#define XCB_QUERY_POINTER 38

Opcode for xcb_query_pointer.

#define XCB_QUERY_TEXT_EXTENTS 48

Opcode for xcb_query_text_extents.

#define XCB_QUERY_TREE 15

Opcode for xcb_query_tree.

#define XCB_RECOLOR_CURSOR 96

Opcode for xcb_recolor_cursor.

#define XCB_REPARENT_NOTIFY 21

Opcode for xcb_reparent_notify.

#define XCB_REPARENT_WINDOW 7

Opcode for xcb_reparent_window.

#define XCB_REQUEST 1

Opcode for xcb_request.

#define XCB_RESIZE_REQUEST 25

Opcode for xcb_resize_request.

#define XCB_ROTATE_PROPERTIES 114

Opcode for xcb_rotate_properties.

#define XCB_SELECTION_CLEAR 29

Opcode for xcb_selection_clear.

#define XCB_SELECTION_NOTIFY 31

Opcode for xcb_selection_notify.

#define XCB_SELECTION_REQUEST 30

Opcode for xcb_selection_request.

#define XCB_SEND_EVENT 25

Opcode for xcb_send_event.

#define XCB_SET_ACCESS_CONTROL 111

Opcode for xcb_set_access_control.

#define XCB_SET_CLIP_RECTANGLES 59

Opcode for xcb_set_clip_rectangles.

#define XCB_SET_CLOSE_DOWN_MODE 112

Opcode for xcb_set_close_down_mode.

#define XCB_SET_DASHES 58

Opcode for xcb_set_dashes.

#define XCB_SET_FONT_PATH 51

Opcode for xcb_set_font_path.

#define XCB_SET_INPUT_FOCUS 42

Opcode for xcb_set_input_focus.

#define XCB_SET_MODIFIER_MAPPING 118

Opcode for xcb_set_modifier_mapping.

#define XCB_SET_POINTER_MAPPING 116

Opcode for xcb_set_pointer_mapping.

#define XCB_SET_SCREEN_SAVER 107

Opcode for xcb_set_screen_saver.

#define XCB_SET_SELECTION_OWNER 22

Opcode for xcb_set_selection_owner.

#define XCB_STORE_COLORS 89

Opcode for xcb_store_colors.

#define XCB_STORE_NAMED_COLOR 90

Opcode for xcb_store_named_color.

#define XCB_TRANSLATE_COORDINATES 40

Opcode for xcb_translate_coordinates.

#define XCB_UNGRAB_BUTTON 29

Opcode for xcb_ungrab_button.

#define XCB_UNGRAB_KEY 34

Opcode for xcb_ungrab_key.

#define XCB_UNGRAB_KEYBOARD 32

Opcode for xcb_ungrab_keyboard.

#define XCB_UNGRAB_POINTER 27

Opcode for xcb_ungrab_pointer.

#define XCB_UNGRAB_SERVER 37

Opcode for xcb_ungrab_server.

#define XCB_UNINSTALL_COLORMAP 82

Opcode for xcb_uninstall_colormap.

#define XCB_UNMAP_NOTIFY 18

Opcode for xcb_unmap_notify.

#define XCB_UNMAP_SUBWINDOWS 11

Opcode for xcb_unmap_subwindows.

#define XCB_UNMAP_WINDOW 10

Opcode for xcb_unmap_window.

#define XCB_VALUE 2

Opcode for xcb_value.

#define XCB_VISIBILITY_NOTIFY 15

Opcode for xcb_visibility_notify.

#define XCB_WARP_POINTER 41

Opcode for xcb_warp_pointer.

#define XCB_WINDOW 3

Opcode for xcb_window.

## Function Documentation

xcb_alloc_color_cookie_t xcb_alloc_color | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | red,
|  | uint16_t | green,
|  | uint16_t | blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_alloc_color_cells_cookie_t xcb_alloc_color_cells | ( | xcb_connection_t * | c,
|  | uint8_t | contiguous,
|  | xcb_colormap_t | cmap,
|  | uint16_t | colors,
|  | uint16_t | planes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_alloc_color_cells_reply_t* xcb_alloc_color_cells_reply | ( | xcb_connection_t * | c,
|  | xcb_alloc_color_cells_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_alloc_color_cells_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_alloc_color_cells_cookie_t xcb_alloc_color_cells_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | contiguous,
|  | xcb_colormap_t | cmap,
|  | uint16_t | colors,
|  | uint16_t | planes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_alloc_color_planes_cookie_t xcb_alloc_color_planes | ( | xcb_connection_t * | c,
|  | uint8_t | contiguous,
|  | xcb_colormap_t | cmap,
|  | uint16_t | colors,
|  | uint16_t | reds,
|  | uint16_t | greens,
|  | uint16_t | blues |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_alloc_color_planes_reply_t* xcb_alloc_color_planes_reply | ( | xcb_connection_t * | c,
|  | xcb_alloc_color_planes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_alloc_color_planes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_alloc_color_planes_cookie_t xcb_alloc_color_planes_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | contiguous,
|  | xcb_colormap_t | cmap,
|  | uint16_t | colors,
|  | uint16_t | reds,
|  | uint16_t | greens,
|  | uint16_t | blues |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_alloc_color_reply_t* xcb_alloc_color_reply | ( | xcb_connection_t * | c,
|  | xcb_alloc_color_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_alloc_color_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_alloc_color_cookie_t xcb_alloc_color_unchecked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | red,
|  | uint16_t | green,
|  | uint16_t | blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_alloc_named_color_cookie_t xcb_alloc_named_color | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_alloc_named_color_reply_t* xcb_alloc_named_color_reply | ( | xcb_connection_t * | c,
|  | xcb_alloc_named_color_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_alloc_named_color_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_alloc_named_color_cookie_t xcb_alloc_named_color_unchecked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_allow_events | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_allow_events_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_arc_end | ( | xcb_arc_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_arc_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_arc_next | ( | xcb_arc_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_arc_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_arc_t)

xcb_generic_iterator_t xcb_atom_end | ( | xcb_atom_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_atom_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_atom_next | ( | xcb_atom_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_atom_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_atom_t)

xcb_void_cookie_t xcb_bell | ( | xcb_connection_t * | c,
|  | int8_t | percent |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_bell_checked | ( | xcb_connection_t * | c,
|  | int8_t | percent |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_button_end | ( | xcb_button_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_button_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_button_next | ( | xcb_button_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_button_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_button_t)

xcb_void_cookie_t xcb_change_active_pointer_grab | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | xcb_timestamp_t | time,
|  | uint16_t | event_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_active_pointer_grab_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | xcb_timestamp_t | time,
|  | uint16_t | event_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_gc | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_gc_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_hosts | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | uint8_t | family,
|  | uint16_t | address_len,
|  | const char * | address |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_hosts_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | uint8_t | family,
|  | uint16_t | address_len,
|  | const char * | address |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_keyboard_control | ( | xcb_connection_t * | c,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_keyboard_control_checked | ( | xcb_connection_t * | c,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_keyboard_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | keycode_count,
|  | xcb_keycode_t | first_keycode,
|  | uint8_t | keysyms_per_keycode,
|  | const xcb_keysym_t * | keysyms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_keyboard_mapping_checked | ( | xcb_connection_t * | c,
|  | uint8_t | keycode_count,
|  | xcb_keycode_t | first_keycode,
|  | uint8_t | keysyms_per_keycode,
|  | const xcb_keysym_t * | keysyms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_pointer_control | ( | xcb_connection_t * | c,
|  | int16_t | acceleration_numerator,
|  | int16_t | acceleration_denominator,
|  | int16_t | threshold,
|  | uint8_t | do_acceleration,
|  | uint8_t | do_threshold |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_pointer_control_checked | ( | xcb_connection_t * | c,
|  | int16_t | acceleration_numerator,
|  | int16_t | acceleration_denominator,
|  | int16_t | threshold,
|  | uint8_t | do_acceleration,
|  | uint8_t | do_threshold |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_property | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_window_t | window,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint32_t | data_len,
|  | const void * | data |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_property_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_window_t | window,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint32_t | data_len,
|  | const void * | data |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_save_set | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_save_set_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_change_window_attributes | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_change_window_attributes_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_char2b_end | ( | xcb_char2b_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_char2b_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_char2b_next | ( | xcb_char2b_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_char2b_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_char2b_t)

xcb_generic_iterator_t xcb_charinfo_end | ( | xcb_charinfo_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_charinfo_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_charinfo_next | ( | xcb_charinfo_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_charinfo_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_charinfo_t)

xcb_void_cookie_t xcb_circulate_window | ( | xcb_connection_t * | c,
|  | uint8_t | direction,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_circulate_window_checked | ( | xcb_connection_t * | c,
|  | uint8_t | direction,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_clear_area | ( | xcb_connection_t * | c,
|  | uint8_t | exposures,
|  | xcb_window_t | window,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_clear_area_checked | ( | xcb_connection_t * | c,
|  | uint8_t | exposures,
|  | xcb_window_t | window,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_client_message_data_end | ( | xcb_client_message_data_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_client_message_data_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_client_message_data_next | ( | xcb_client_message_data_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_client_message_data_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_client_message_data_t)

xcb_void_cookie_t xcb_close_font | ( | xcb_connection_t * | c,
|  | xcb_font_t | font |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_close_font_checked | ( | xcb_connection_t * | c,
|  | xcb_font_t | font |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_coloritem_end | ( | xcb_coloritem_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_coloritem_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_coloritem_next | ( | xcb_coloritem_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_coloritem_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_coloritem_t)

xcb_generic_iterator_t xcb_colormap_end | ( | xcb_colormap_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_colormap_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_colormap_next | ( | xcb_colormap_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_colormap_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_colormap_t)

xcb_void_cookie_t xcb_configure_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_configure_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_convert_selection | ( | xcb_connection_t * | c,
|  | xcb_window_t | requestor,
|  | xcb_atom_t | selection,
|  | xcb_atom_t | target,
|  | xcb_atom_t | property,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_convert_selection_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | requestor,
|  | xcb_atom_t | selection,
|  | xcb_atom_t | target,
|  | xcb_atom_t | property,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_copy_area | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | src_drawable,
|  | xcb_drawable_t | dst_drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_copy_area_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | src_drawable,
|  | xcb_drawable_t | dst_drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_copy_colormap_and_free | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | mid,
|  | xcb_colormap_t | src_cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_copy_colormap_and_free_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | mid,
|  | xcb_colormap_t | src_cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_copy_gc | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | src_gc,
|  | xcb_gcontext_t | dst_gc,
|  | uint32_t | value_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_copy_gc_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | src_gc,
|  | xcb_gcontext_t | dst_gc,
|  | uint32_t | value_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_copy_plane | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | src_drawable,
|  | xcb_drawable_t | dst_drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | bit_plane |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_copy_plane_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | src_drawable,
|  | xcb_drawable_t | dst_drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | bit_plane |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_colormap | ( | xcb_connection_t * | c,
|  | uint8_t | alloc,
|  | xcb_colormap_t | mid,
|  | xcb_window_t | window,
|  | xcb_visualid_t | visual |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_colormap_checked | ( | xcb_connection_t * | c,
|  | uint8_t | alloc,
|  | xcb_colormap_t | mid,
|  | xcb_window_t | window,
|  | xcb_visualid_t | visual |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_pixmap_t | source,
|  | xcb_pixmap_t | mask,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue,
|  | uint16_t | x,
|  | uint16_t | y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_pixmap_t | source,
|  | xcb_pixmap_t | mask,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue,
|  | uint16_t | x,
|  | uint16_t | y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_gc | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | cid,
|  | xcb_drawable_t | drawable,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_gc_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | cid,
|  | xcb_drawable_t | drawable,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_glyph_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_font_t | source_font,
|  | xcb_font_t | mask_font,
|  | uint16_t | source_char,
|  | uint16_t | mask_char,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_glyph_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cid,
|  | xcb_font_t | source_font,
|  | xcb_font_t | mask_font,
|  | uint16_t | source_char,
|  | uint16_t | mask_char,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_pixmap | ( | xcb_connection_t * | c,
|  | uint8_t | depth,
|  | xcb_pixmap_t | pid,
|  | xcb_drawable_t | drawable,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_pixmap_checked | ( | xcb_connection_t * | c,
|  | uint8_t | depth,
|  | xcb_pixmap_t | pid,
|  | xcb_drawable_t | drawable,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_create_window | ( | xcb_connection_t * | c,
|  | uint8_t | depth,
|  | xcb_window_t | wid,
|  | xcb_window_t | parent,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint16_t | _class,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_create_window_checked | ( | xcb_connection_t * | c,
|  | uint8_t | depth,
|  | xcb_window_t | wid,
|  | xcb_window_t | parent,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint16_t | _class,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const uint32_t * | value_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_cursor_end | ( | xcb_cursor_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_cursor_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_cursor_next | ( | xcb_cursor_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_cursor_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_cursor_t)

xcb_void_cookie_t xcb_delete_property | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_delete_property_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | property |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_depth_end | ( | xcb_depth_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_depth_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_depth_next | ( | xcb_depth_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_depth_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_depth_t)

xcb_void_cookie_t xcb_destroy_subwindows | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_destroy_subwindows_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_destroy_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_destroy_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_drawable_end | ( | xcb_drawable_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_drawable_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_drawable_next | ( | xcb_drawable_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_drawable_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_drawable_t)

xcb_void_cookie_t xcb_fill_poly | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint8_t | shape,
|  | uint8_t | coordinate_mode,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_fill_poly_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint8_t | shape,
|  | uint8_t | coordinate_mode,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_font_end | ( | xcb_font_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_font_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_font_next | ( | xcb_font_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_font_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_font_t)

xcb_generic_iterator_t xcb_fontable_end | ( | xcb_fontable_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_fontable_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_fontable_next | ( | xcb_fontable_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_fontable_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_fontable_t)

xcb_generic_iterator_t xcb_fontprop_end | ( | xcb_fontprop_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_fontprop_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_fontprop_next | ( | xcb_fontprop_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_fontprop_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_fontprop_t)

xcb_void_cookie_t xcb_force_screen_saver | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_force_screen_saver_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_format_end | ( | xcb_format_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_format_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_format_next | ( | xcb_format_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_format_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_format_t)

xcb_void_cookie_t xcb_free_colormap | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_free_colormap_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_free_colors | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | plane_mask,
|  | uint32_t | pixels_len,
|  | const uint32_t * | pixels |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_free_colors_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | plane_mask,
|  | uint32_t | pixels_len,
|  | const uint32_t * | pixels |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_free_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_free_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_free_gc | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_free_gc_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_free_pixmap | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_free_pixmap_checked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_gcontext_end | ( | xcb_gcontext_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_gcontext_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_gcontext_next | ( | xcb_gcontext_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_gcontext_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_gcontext_t)

xcb_get_atom_name_cookie_t xcb_get_atom_name | ( | xcb_connection_t * | c,
|  | xcb_atom_t | atom |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_atom_name_reply_t* xcb_get_atom_name_reply | ( | xcb_connection_t * | c,
|  | xcb_get_atom_name_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_atom_name_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_atom_name_cookie_t xcb_get_atom_name_unchecked | ( | xcb_connection_t * | c,
|  | xcb_atom_t | atom |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_font_path_cookie_t xcb_get_font_path | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_font_path_reply_t* xcb_get_font_path_reply | ( | xcb_connection_t * | c,
|  | xcb_get_font_path_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_font_path_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_font_path_cookie_t xcb_get_font_path_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_geometry_cookie_t xcb_get_geometry | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_geometry_reply_t* xcb_get_geometry_reply | ( | xcb_connection_t * | c,
|  | xcb_get_geometry_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_geometry_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_geometry_cookie_t xcb_get_geometry_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_image_cookie_t xcb_get_image | ( | xcb_connection_t * | c,
|  | uint8_t | format,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | plane_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_image_reply_t* xcb_get_image_reply | ( | xcb_connection_t * | c,
|  | xcb_get_image_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_image_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_image_cookie_t xcb_get_image_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | format,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | plane_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_input_focus_cookie_t xcb_get_input_focus | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_input_focus_reply_t* xcb_get_input_focus_reply | ( | xcb_connection_t * | c,
|  | xcb_get_input_focus_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_input_focus_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_input_focus_cookie_t xcb_get_input_focus_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_keyboard_control_cookie_t xcb_get_keyboard_control | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_keyboard_control_reply_t* xcb_get_keyboard_control_reply | ( | xcb_connection_t * | c,
|  | xcb_get_keyboard_control_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_keyboard_control_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_keyboard_control_cookie_t xcb_get_keyboard_control_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_keyboard_mapping_cookie_t xcb_get_keyboard_mapping | ( | xcb_connection_t * | c,
|  | xcb_keycode_t | first_keycode,
|  | uint8_t | count |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_keyboard_mapping_reply_t* xcb_get_keyboard_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_get_keyboard_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_keyboard_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_keyboard_mapping_cookie_t xcb_get_keyboard_mapping_unchecked | ( | xcb_connection_t * | c,
|  | xcb_keycode_t | first_keycode,
|  | uint8_t | count |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_modifier_mapping_cookie_t xcb_get_modifier_mapping | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_modifier_mapping_reply_t* xcb_get_modifier_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_get_modifier_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_modifier_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_modifier_mapping_cookie_t xcb_get_modifier_mapping_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_motion_events_cookie_t xcb_get_motion_events | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_timestamp_t | start,
|  | xcb_timestamp_t | stop |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_motion_events_reply_t* xcb_get_motion_events_reply | ( | xcb_connection_t * | c,
|  | xcb_get_motion_events_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_motion_events_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_motion_events_cookie_t xcb_get_motion_events_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_timestamp_t | start,
|  | xcb_timestamp_t | stop |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_pointer_control_cookie_t xcb_get_pointer_control | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_pointer_control_reply_t* xcb_get_pointer_control_reply | ( | xcb_connection_t * | c,
|  | xcb_get_pointer_control_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_pointer_control_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_pointer_control_cookie_t xcb_get_pointer_control_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_pointer_mapping_cookie_t xcb_get_pointer_mapping | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_pointer_mapping_reply_t* xcb_get_pointer_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_get_pointer_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_pointer_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_pointer_mapping_cookie_t xcb_get_pointer_mapping_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_property_cookie_t xcb_get_property | ( | xcb_connection_t * | c,
|  | uint8_t | _delete,
|  | xcb_window_t | window,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_property_reply_t* xcb_get_property_reply | ( | xcb_connection_t * | c,
|  | xcb_get_property_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_property_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_property_cookie_t xcb_get_property_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | _delete,
|  | xcb_window_t | window,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_screen_saver_cookie_t xcb_get_screen_saver | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_screen_saver_reply_t* xcb_get_screen_saver_reply | ( | xcb_connection_t * | c,
|  | xcb_get_screen_saver_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_screen_saver_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_screen_saver_cookie_t xcb_get_screen_saver_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_selection_owner_cookie_t xcb_get_selection_owner | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_selection_owner_reply_t* xcb_get_selection_owner_reply | ( | xcb_connection_t * | c,
|  | xcb_get_selection_owner_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_selection_owner_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_selection_owner_cookie_t xcb_get_selection_owner_unchecked | ( | xcb_connection_t * | c,
|  | xcb_atom_t | selection |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_get_window_attributes_cookie_t xcb_get_window_attributes | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_get_window_attributes_reply_t* xcb_get_window_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_get_window_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_get_window_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_get_window_attributes_cookie_t xcb_get_window_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_grab_button | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | event_mask,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode,
|  | xcb_window_t | confine_to,
|  | xcb_cursor_t | cursor,
|  | uint8_t | button,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_grab_button_checked | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | event_mask,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode,
|  | xcb_window_t | confine_to,
|  | xcb_cursor_t | cursor,
|  | uint8_t | button,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_grab_key | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers,
|  | xcb_keycode_t | key,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_grab_key_checked | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers,
|  | xcb_keycode_t | key,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_grab_keyboard_cookie_t xcb_grab_keyboard | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | xcb_timestamp_t | time,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_grab_keyboard_reply_t* xcb_grab_keyboard_reply | ( | xcb_connection_t * | c,
|  | xcb_grab_keyboard_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_grab_keyboard_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_grab_keyboard_cookie_t xcb_grab_keyboard_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | xcb_timestamp_t | time,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_grab_pointer_cookie_t xcb_grab_pointer | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | event_mask,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode,
|  | xcb_window_t | confine_to,
|  | xcb_cursor_t | cursor,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_grab_pointer_reply_t* xcb_grab_pointer_reply | ( | xcb_connection_t * | c,
|  | xcb_grab_pointer_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_grab_pointer_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_grab_pointer_cookie_t xcb_grab_pointer_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | owner_events,
|  | xcb_window_t | grab_window,
|  | uint16_t | event_mask,
|  | uint8_t | pointer_mode,
|  | uint8_t | keyboard_mode,
|  | xcb_window_t | confine_to,
|  | xcb_cursor_t | cursor,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_grab_server | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_grab_server_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_host_end | ( | xcb_host_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_host_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_host_next | ( | xcb_host_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_host_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_host_t)

xcb_void_cookie_t xcb_image_text_16 | ( | xcb_connection_t * | c,
|  | uint8_t | string_len,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | const xcb_char2b_t * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_image_text_16_checked | ( | xcb_connection_t * | c,
|  | uint8_t | string_len,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | const xcb_char2b_t * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_image_text_8 | ( | xcb_connection_t * | c,
|  | uint8_t | string_len,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | const char * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_image_text_8_checked | ( | xcb_connection_t * | c,
|  | uint8_t | string_len,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | const char * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_install_colormap | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_install_colormap_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_intern_atom_cookie_t xcb_intern_atom | ( | xcb_connection_t * | c,
|  | uint8_t | only_if_exists,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_intern_atom_reply_t* xcb_intern_atom_reply | ( | xcb_connection_t * | c,
|  | xcb_intern_atom_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_intern_atom_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_intern_atom_cookie_t xcb_intern_atom_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | only_if_exists,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_keycode_end | ( | xcb_keycode_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_keycode_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_keycode_next | ( | xcb_keycode_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_keycode_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_keycode_t)

xcb_generic_iterator_t xcb_keysym_end | ( | xcb_keysym_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_keysym_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_keysym_next | ( | xcb_keysym_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_keysym_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_keysym_t)

xcb_void_cookie_t xcb_kill_client | ( | xcb_connection_t * | c,
|  | uint32_t | resource |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_kill_client_checked | ( | xcb_connection_t * | c,
|  | uint32_t | resource |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_list_extensions_cookie_t xcb_list_extensions | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_extensions_reply_t* xcb_list_extensions_reply | ( | xcb_connection_t * | c,
|  | xcb_list_extensions_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_extensions_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_extensions_cookie_t xcb_list_extensions_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_list_fonts_cookie_t xcb_list_fonts | ( | xcb_connection_t * | c,
|  | uint16_t | max_names,
|  | uint16_t | pattern_len,
|  | const char * | pattern |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_fonts_reply_t* xcb_list_fonts_reply | ( | xcb_connection_t * | c,
|  | xcb_list_fonts_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_fonts_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_fonts_cookie_t xcb_list_fonts_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | max_names,
|  | uint16_t | pattern_len,
|  | const char * | pattern |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_list_fonts_with_info_cookie_t xcb_list_fonts_with_info | ( | xcb_connection_t * | c,
|  | uint16_t | max_names,
|  | uint16_t | pattern_len,
|  | const char * | pattern |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_fonts_with_info_reply_t* xcb_list_fonts_with_info_reply | ( | xcb_connection_t * | c,
|  | xcb_list_fonts_with_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_fonts_with_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_fonts_with_info_cookie_t xcb_list_fonts_with_info_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | max_names,
|  | uint16_t | pattern_len,
|  | const char * | pattern |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_list_hosts_cookie_t xcb_list_hosts | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_hosts_reply_t* xcb_list_hosts_reply | ( | xcb_connection_t * | c,
|  | xcb_list_hosts_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_hosts_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_hosts_cookie_t xcb_list_hosts_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_list_installed_colormaps_cookie_t xcb_list_installed_colormaps | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_installed_colormaps_reply_t* xcb_list_installed_colormaps_reply | ( | xcb_connection_t * | c,
|  | xcb_list_installed_colormaps_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_installed_colormaps_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_installed_colormaps_cookie_t xcb_list_installed_colormaps_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_list_properties_cookie_t xcb_list_properties | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_list_properties_reply_t* xcb_list_properties_reply | ( | xcb_connection_t * | c,
|  | xcb_list_properties_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_list_properties_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_list_properties_cookie_t xcb_list_properties_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_lookup_color_cookie_t xcb_lookup_color | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_lookup_color_reply_t* xcb_lookup_color_reply | ( | xcb_connection_t * | c,
|  | xcb_lookup_color_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_lookup_color_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_lookup_color_cookie_t xcb_lookup_color_unchecked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_map_subwindows | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_map_subwindows_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_map_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_map_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_no_operation | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_no_operation_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_open_font | ( | xcb_connection_t * | c,
|  | xcb_font_t | fid,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_open_font_checked | ( | xcb_connection_t * | c,
|  | xcb_font_t | fid,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_pixmap_end | ( | xcb_pixmap_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_pixmap_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_pixmap_next | ( | xcb_pixmap_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_pixmap_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_pixmap_t)

xcb_generic_iterator_t xcb_point_end | ( | xcb_point_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_point_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_point_next | ( | xcb_point_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_point_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_point_t)

xcb_void_cookie_t xcb_poly_arc | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | arcs_len,
|  | const xcb_arc_t * | arcs |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_arc_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | arcs_len,
|  | const xcb_arc_t * | arcs |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_fill_arc | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | arcs_len,
|  | const xcb_arc_t * | arcs |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_fill_arc_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | arcs_len,
|  | const xcb_arc_t * | arcs |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_fill_rectangle | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_fill_rectangle_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_line | ( | xcb_connection_t * | c,
|  | uint8_t | coordinate_mode,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_line_checked | ( | xcb_connection_t * | c,
|  | uint8_t | coordinate_mode,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_point | ( | xcb_connection_t * | c,
|  | uint8_t | coordinate_mode,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_point_checked | ( | xcb_connection_t * | c,
|  | uint8_t | coordinate_mode,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | points_len,
|  | const xcb_point_t * | points |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_rectangle | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_rectangle_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_segment | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | segments_len,
|  | const xcb_segment_t * | segments |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_segment_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | segments_len,
|  | const xcb_segment_t * | segments |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_text_16 | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | uint32_t | items_len,
|  | const uint8_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_text_16_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | uint32_t | items_len,
|  | const uint8_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_poly_text_8 | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | uint32_t | items_len,
|  | const uint8_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_poly_text_8_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | x,
|  | int16_t | y,
|  | uint32_t | items_len,
|  | const uint8_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_put_image | ( | xcb_connection_t * | c,
|  | uint8_t | format,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint16_t | width,
|  | uint16_t | height,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint8_t | left_pad,
|  | uint8_t | depth,
|  | uint32_t | data_len,
|  | const uint8_t * | data |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_put_image_checked | ( | xcb_connection_t * | c,
|  | uint8_t | format,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint16_t | width,
|  | uint16_t | height,
|  | int16_t | dst_x,
|  | int16_t | dst_y,
|  | uint8_t | left_pad,
|  | uint8_t | depth,
|  | uint32_t | data_len,
|  | const uint8_t * | data |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_query_best_size_cookie_t xcb_query_best_size | ( | xcb_connection_t * | c,
|  | uint8_t | _class,
|  | xcb_drawable_t | drawable,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_best_size_reply_t* xcb_query_best_size_reply | ( | xcb_connection_t * | c,
|  | xcb_query_best_size_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_best_size_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_best_size_cookie_t xcb_query_best_size_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | _class,
|  | xcb_drawable_t | drawable,
|  | uint16_t | width,
|  | uint16_t | height |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_colors_cookie_t xcb_query_colors | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | pixels_len,
|  | const uint32_t * | pixels |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_colors_reply_t* xcb_query_colors_reply | ( | xcb_connection_t * | c,
|  | xcb_query_colors_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_colors_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_colors_cookie_t xcb_query_colors_unchecked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | pixels_len,
|  | const uint32_t * | pixels |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_extension_cookie_t xcb_query_extension | ( | xcb_connection_t * | c,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_extension_reply_t* xcb_query_extension_reply | ( | xcb_connection_t * | c,
|  | xcb_query_extension_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_extension_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_extension_cookie_t xcb_query_extension_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_font_cookie_t xcb_query_font | ( | xcb_connection_t * | c,
|  | xcb_fontable_t | font |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_font_reply_t* xcb_query_font_reply | ( | xcb_connection_t * | c,
|  | xcb_query_font_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_font_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_font_cookie_t xcb_query_font_unchecked | ( | xcb_connection_t * | c,
|  | xcb_fontable_t | font |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_keymap_cookie_t xcb_query_keymap | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_keymap_reply_t* xcb_query_keymap_reply | ( | xcb_connection_t * | c,
|  | xcb_query_keymap_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_keymap_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_keymap_cookie_t xcb_query_keymap_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_pointer_cookie_t xcb_query_pointer | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_pointer_reply_t* xcb_query_pointer_reply | ( | xcb_connection_t * | c,
|  | xcb_query_pointer_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_pointer_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_pointer_cookie_t xcb_query_pointer_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_text_extents_cookie_t xcb_query_text_extents | ( | xcb_connection_t * | c,
|  | xcb_fontable_t | font,
|  | uint32_t | string_len,
|  | const xcb_char2b_t * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_text_extents_reply_t* xcb_query_text_extents_reply | ( | xcb_connection_t * | c,
|  | xcb_query_text_extents_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_text_extents_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_text_extents_cookie_t xcb_query_text_extents_unchecked | ( | xcb_connection_t * | c,
|  | xcb_fontable_t | font,
|  | uint32_t | string_len,
|  | const xcb_char2b_t * | string |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_query_tree_cookie_t xcb_query_tree | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_query_tree_reply_t* xcb_query_tree_reply | ( | xcb_connection_t * | c,
|  | xcb_query_tree_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_query_tree_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_query_tree_cookie_t xcb_query_tree_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_recolor_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_recolor_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | uint16_t | fore_red,
|  | uint16_t | fore_green,
|  | uint16_t | fore_blue,
|  | uint16_t | back_red,
|  | uint16_t | back_green,
|  | uint16_t | back_blue |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_rectangle_end | ( | xcb_rectangle_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_rectangle_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_rectangle_next | ( | xcb_rectangle_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_rectangle_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_rectangle_t)

xcb_void_cookie_t xcb_reparent_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_window_t | parent,
|  | int16_t | x,
|  | int16_t | y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_reparent_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_window_t | parent,
|  | int16_t | x,
|  | int16_t | y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_rgb_end | ( | xcb_rgb_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_rgb_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_rgb_next | ( | xcb_rgb_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_rgb_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_rgb_t)

xcb_void_cookie_t xcb_rotate_properties | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | atoms_len,
|  | int16_t | delta,
|  | const xcb_atom_t * | atoms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_rotate_properties_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | atoms_len,
|  | int16_t | delta,
|  | const xcb_atom_t * | atoms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_screen_end | ( | xcb_screen_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_screen_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_screen_next | ( | xcb_screen_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_screen_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_screen_t)

xcb_generic_iterator_t xcb_segment_end | ( | xcb_segment_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_segment_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_segment_next | ( | xcb_segment_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_segment_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_segment_t)

xcb_void_cookie_t xcb_send_event | ( | xcb_connection_t * | c,
|  | uint8_t | propagate,
|  | xcb_window_t | destination,
|  | uint32_t | event_mask,
|  | const char * | event |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_send_event_checked | ( | xcb_connection_t * | c,
|  | uint8_t | propagate,
|  | xcb_window_t | destination,
|  | uint32_t | event_mask,
|  | const char * | event |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_access_control | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_access_control_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_clip_rectangles | ( | xcb_connection_t * | c,
|  | uint8_t | ordering,
|  | xcb_gcontext_t | gc,
|  | int16_t | clip_x_origin,
|  | int16_t | clip_y_origin,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_clip_rectangles_checked | ( | xcb_connection_t * | c,
|  | uint8_t | ordering,
|  | xcb_gcontext_t | gc,
|  | int16_t | clip_x_origin,
|  | int16_t | clip_y_origin,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_close_down_mode | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_close_down_mode_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_dashes | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | uint16_t | dash_offset,
|  | uint16_t | dashes_len,
|  | const uint8_t * | dashes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_dashes_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | uint16_t | dash_offset,
|  | uint16_t | dashes_len,
|  | const uint8_t * | dashes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_font_path | ( | xcb_connection_t * | c,
|  | uint16_t | font_qty,
|  | uint32_t | path_len,
|  | const char * | path |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_font_path_checked | ( | xcb_connection_t * | c,
|  | uint16_t | font_qty,
|  | uint32_t | path_len,
|  | const char * | path |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_input_focus | ( | xcb_connection_t * | c,
|  | uint8_t | revert_to,
|  | xcb_window_t | focus,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_input_focus_checked | ( | xcb_connection_t * | c,
|  | uint8_t | revert_to,
|  | xcb_window_t | focus,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_set_modifier_mapping_cookie_t xcb_set_modifier_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | keycodes_per_modifier,
|  | const xcb_keycode_t * | keycodes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_set_modifier_mapping_reply_t* xcb_set_modifier_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_set_modifier_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_set_modifier_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_set_modifier_mapping_cookie_t xcb_set_modifier_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | keycodes_per_modifier,
|  | const xcb_keycode_t * | keycodes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_set_pointer_mapping_cookie_t xcb_set_pointer_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | map_len,
|  | const uint8_t * | map |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_set_pointer_mapping_reply_t* xcb_set_pointer_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_set_pointer_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_set_pointer_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_set_pointer_mapping_cookie_t xcb_set_pointer_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | map_len,
|  | const uint8_t * | map |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_set_screen_saver | ( | xcb_connection_t * | c,
|  | int16_t | timeout,
|  | int16_t | interval,
|  | uint8_t | prefer_blanking,
|  | uint8_t | allow_exposures |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_screen_saver_checked | ( | xcb_connection_t * | c,
|  | int16_t | timeout,
|  | int16_t | interval,
|  | uint8_t | prefer_blanking,
|  | uint8_t | allow_exposures |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_set_selection_owner | ( | xcb_connection_t * | c,
|  | xcb_window_t | owner,
|  | xcb_atom_t | selection,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_set_selection_owner_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | owner,
|  | xcb_atom_t | selection,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_setup_authenticate_end | ( | xcb_setup_authenticate_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_setup_authenticate_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_setup_authenticate_next | ( | xcb_setup_authenticate_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_setup_authenticate_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_setup_authenticate_t)

xcb_generic_iterator_t xcb_setup_end | ( | xcb_setup_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_setup_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

xcb_generic_iterator_t xcb_setup_failed_end | ( | xcb_setup_failed_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_setup_failed_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_setup_failed_next | ( | xcb_setup_failed_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_setup_failed_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_setup_failed_t)

void xcb_setup_next | ( | xcb_setup_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_setup_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_setup_t)

xcb_generic_iterator_t xcb_setup_request_end | ( | xcb_setup_request_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_setup_request_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_setup_request_next | ( | xcb_setup_request_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_setup_request_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_setup_request_t)

xcb_void_cookie_t xcb_store_colors | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | items_len,
|  | const xcb_coloritem_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_store_colors_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap,
|  | uint32_t | items_len,
|  | const xcb_coloritem_t * | items |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_store_named_color | ( | xcb_connection_t * | c,
|  | uint8_t | flags,
|  | xcb_colormap_t | cmap,
|  | uint32_t | pixel,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_store_named_color_checked | ( | xcb_connection_t * | c,
|  | uint8_t | flags,
|  | xcb_colormap_t | cmap,
|  | uint32_t | pixel,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_str_end | ( | xcb_str_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_str_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_str_next | ( | xcb_str_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_str_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_str_t)

xcb_generic_iterator_t xcb_timecoord_end | ( | xcb_timecoord_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_timecoord_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_timecoord_next | ( | xcb_timecoord_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_timecoord_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_timecoord_t)

xcb_generic_iterator_t xcb_timestamp_end | ( | xcb_timestamp_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_timestamp_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_timestamp_next | ( | xcb_timestamp_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_timestamp_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_timestamp_t)

xcb_translate_coordinates_cookie_t xcb_translate_coordinates | ( | xcb_connection_t * | c,
|  | xcb_window_t | src_window,
|  | xcb_window_t | dst_window,
|  | int16_t | src_x,
|  | int16_t | src_y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_translate_coordinates_reply_t* xcb_translate_coordinates_reply | ( | xcb_connection_t * | c,
|  | xcb_translate_coordinates_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_translate_coordinates_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_translate_coordinates_cookie_t xcb_translate_coordinates_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | src_window,
|  | xcb_window_t | dst_window,
|  | int16_t | src_x,
|  | int16_t | src_y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_ungrab_button | ( | xcb_connection_t * | c,
|  | uint8_t | button,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_ungrab_button_checked | ( | xcb_connection_t * | c,
|  | uint8_t | button,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_ungrab_key | ( | xcb_connection_t * | c,
|  | xcb_keycode_t | key,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_ungrab_key_checked | ( | xcb_connection_t * | c,
|  | xcb_keycode_t | key,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_ungrab_keyboard | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_ungrab_keyboard_checked | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_ungrab_pointer | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_ungrab_pointer_checked | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_ungrab_server | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_ungrab_server_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_uninstall_colormap | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_uninstall_colormap_checked | ( | xcb_connection_t * | c,
|  | xcb_colormap_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_unmap_subwindows | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_unmap_subwindows_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_unmap_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_unmap_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_visualid_end | ( | xcb_visualid_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_visualid_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_visualid_next | ( | xcb_visualid_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_visualid_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_visualid_t)

xcb_generic_iterator_t xcb_visualtype_end | ( | xcb_visualtype_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_visualtype_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_visualtype_next | ( | xcb_visualtype_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_visualtype_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_visualtype_t)

xcb_void_cookie_t xcb_warp_pointer | ( | xcb_connection_t * | c,
|  | xcb_window_t | src_window,
|  | xcb_window_t | dst_window,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_width,
|  | uint16_t | src_height,
|  | int16_t | dst_x,
|  | int16_t | dst_y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_warp_pointer_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | src_window,
|  | xcb_window_t | dst_window,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_width,
|  | uint16_t | src_height,
|  | int16_t | dst_x,
|  | int16_t | dst_y |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_window_end | ( | xcb_window_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_window_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_window_next | ( | xcb_window_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_window_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_window_t)